/*==============================================================*/
/* DBMS name:      ORACLE Version 11g                           */
/* Created on:     01/15/2015 04:33:21 PM                       */
/*==============================================================*/


drop table SPADC.IIA11_CP_INFO_RFP_PART1 cascade constraints;

drop table SPADC.IIA12_CP_ID_PURC_PART2 cascade constraints;

drop table SPADC.IIA12_CP_PRICE_CE_PART1 cascade constraints;

drop table SPADC.IIA13_CP_BILLING_ADJ cascade constraints;

drop table SPADC.IIA14_CP_BILLING_DESC cascade constraints;

drop table SPADC.IIA15_SALES_REV_CBDS cascade constraints;

drop table SPADC.IIA16_SALES_REV_PBDS cascade constraints;

drop table SPADC.IIA17_CP_PCT_REV_GEN cascade constraints;

drop table SPADC.IIA1_CP_AFFILIATED_COM cascade constraints;

drop table SPADC.IIA2_CP_FAC_ADDL_INFO cascade constraints;

drop table SPADC.IIA3_CP_LOCATION_CNT cascade constraints;

drop table SPADC.IIA4_CP_LOCATION_DATA cascade constraints;

drop table SPADC.IIA7_CP_COLOC_WIRE cascade constraints;

drop table SPADC.IIA9_CP_HQ_AC cascade constraints;

drop table SPADC.IIA9_CP_HQ_ACQ_D cascade constraints;

drop table SPADC.IIA9_CP_HQ_AFF_EF cascade constraints;

drop table SPADC.IIB10_SALES_REV_OMT cascade constraints;

drop table SPADC.IIB11_CUST_CNT_OMT cascade constraints;

drop table SPADC.IIB12_ALL_TARIFFS cascade constraints;

drop table SPADC.IIB13_ILEC_NON_TARIFF cascade constraints;

drop table SPADC.IIB1_ILEC_AFFILIATED_COM cascade constraints;

drop table SPADC.IIB2_ILEC_LOCATION_CNT cascade constraints;

drop table SPADC.IIB3_ILEC_LOCATION_DATA cascade constraints;

drop table SPADC.IIB4_ILEC_PRICE_CE_PART1 cascade constraints;

drop table SPADC.IIB4_ILEC_PURC_ID_PART2 cascade constraints;

drop table SPADC.IIB5_ILEC_BILLING_ADJ cascade constraints;

drop table SPADC.IIB6_ILEC_BILLING_DESC cascade constraints;

drop table SPADC.IIB7_ILEC_COLOC_WIRE cascade constraints;

drop table SPADC.IIB8_SALES_REV_CBDS cascade constraints;

drop table SPADC.IIB9_SALES_REV_PBDS cascade constraints;

--drop table SPADC.IIC1_CB_PRICE_LIST cascade constraints;

drop table SPADC.IIE14_TARIFFS_PURC_SRVC cascade constraints;

drop table SPADC.IIE15_MW_NON_TARIFF cascade constraints;

drop table SPADC.IIE1_MW_SITES_CNT cascade constraints;

drop table SPADC.IIE2_MW_LOCATION_DATA cascade constraints;

drop table SPADC.IIE3_TOT_EXP_DS cascade constraints;

drop table SPADC.IIE4_EXP_ILEC_TARIFF cascade constraints;

drop table SPADC.IIE5_EXP_CP_TARIFF cascade constraints;

drop table SPADC.IIE6_EXP_ILEC_CP_NON_TARIFF cascade constraints;

drop table SPADC.IIE7_EXP_PBDS_TARIFF cascade constraints;

drop table SPADC.IIE8_EXP_PBDS_NON_TARIFF cascade constraints;

drop table SPADC.IIF13_TARIFFS_PURC_SRVC cascade constraints;

drop table SPADC.IIF14_PURC_NON_TARIFF cascade constraints;

drop table SPADC.IIF1_PURC_NATURE_BUS cascade constraints;

drop table SPADC.IIF2_EXP_DS cascade constraints;

drop table SPADC.IIF3_ILEC_TARIFF cascade constraints;

drop table SPADC.IIF4_CP_TARIFF cascade constraints;

drop table SPADC.IIF5_EXP_ILEC_CP_NON_TARIFF cascade constraints;

drop table SPADC.IIF6_EXP_PBDS_TARIFF cascade constraints;

drop table SPADC.IIF7_EXP_PBDS_NON_TARIFF cascade constraints;

drop table SPADC.QC_CONTAINER_CHECK cascade constraints;

drop table SPADC.QC_LOG cascade constraints;

drop table SPADC.SPADC_FILER_ID_INFO cascade constraints;

drop table SPADC.TABLE_DEPENDENCIES cascade constraints;

/*==============================================================*/
/* Table: IIA11_CP_INFO_RFP_PART1                               */
/*==============================================================*/
create table SPADC.IIA11_CP_INFO_RFP_PART1 
(
   RFP_TYPE             INT                  not null
      constraint CKC_RFP_TYPE_IIA11_CP check (RFP_TYPE in (1,2,3,4,5,6)),
   RFP_NUMBER           INT                  not null
      constraint CKC_RFP_NUMBER_IIA11_CP check (RFP_NUMBER in (1,2,3,4,5)),
   RFP_NAME             VARCHAR2(130)        not null,
   RFP_DESCRIPTION      VARCHAR2(500)       not null,
   RFP_AREA_COVERED     VARCHAR2(4000)       not null,
   RFP_BID_DETAILS      VARCHAR2(500)       not null,
   OTHER_RFP_DETAILS    VARCHAR2(500)
);

comment on column SPADC.IIA11_CP_INFO_RFP_PART1.RFP_TYPE is
'Number 1-6 as follows:
1= Most recent RFP
won for the provision of Dedicated Services
2= Most recent RFP 
won for the provision of Best Efforts Business Broadband Internet Access Services
3= Most recent RFP  won for the provision of other high-capacity data services to business customers
4= Largest RFPs where you unsuccessfully submitted bids in the 2010-2012 timeframe for the provision of Dedicated Services
5= Largest RFPs where you unsuccessfully submitted bids in the 2010-2012 timeframe for the provision of Best Efforts Business Broadband Internet Access Services
6= Largest RFPs where you unsuccessfully submitted bids in the 2010-2012 timeframe for the provision of other high-capacity data services to business customers';

comment on column SPADC.IIA11_CP_INFO_RFP_PART1.RFP_NUMBER is
'Sequential number 1-5';

comment on column SPADC.IIA11_CP_INFO_RFP_PART1.RFP_NAME is
'Name of RFP';

comment on column SPADC.IIA11_CP_INFO_RFP_PART1.RFP_DESCRIPTION is
'Describe the RFP';

comment on column SPADC.IIA11_CP_INFO_RFP_PART1.RFP_AREA_COVERED is
'Identify the geographic areas covered by the RFP';

comment on column SPADC.IIA11_CP_INFO_RFP_PART1.RFP_BID_DETAILS is
'Details on your bid, including price offered';

comment on column SPADC.IIA11_CP_INFO_RFP_PART1.OTHER_RFP_DETAILS is
'Detail other competitively relevant information on RFP and/or bid';

/*==============================================================*/
/* Table: IIA12_CP_ID_PURC_PART2                                */
/*==============================================================*/
create table SPADC.IIA12_CP_ID_PURC_PART2 
(
   CUSTOMER_ID             INT                  not null
      constraint CKC_CUST_ID_IIA12_CP check (CUSTOMER_ID >= 0),
   CUSTOMER_ID_499         INT                 
      constraint CKC_CUST_ID_499_IIA12_CP check (CUSTOMER_ID_499 is null or (CUSTOMER_ID_499 between 100000 and 999999)),
   CUSTOMER_ID_ACNA        CHAR(3)             
      constraint CKC_CUST_ID_ACNA_IIA12_CP check (CUSTOMER_ID_ACNA is null or (REGEXP_LIKE(CUSTOMER_ID_ACNA, '[A-Za-z]'))),
   CUSTOMER_ID_OCN         CHAR(4),
   CUSTOMER_NAME           VARCHAR2(100)         not null,
   PROVIDER         CHAR(1)              not null
      constraint CKC_PROVIDER_IIA12_CP check (PROVIDER in ('0','1')),
   constraint PK_IIA12_CP_ID_PURC_PART2 primary key (CUSTOMER_ID)
);

comment on column SPADC.IIA12_CP_ID_PURC_PART2.CUSTOMER_ID is
'Unique customer identifier used to link all circuits purchased by a customer over all geographies and time periods.  This field will be used to link the billing information in Part 1 of this question with the customer names and identification numbers';

comment on column SPADC.IIA12_CP_ID_PURC_PART2.CUSTOMER_ID_499 is
'Where applicable, include the six-digit 499A Filer ID of the customer';

comment on column SPADC.IIA12_CP_ID_PURC_PART2.CUSTOMER_ID_ACNA is
'Where applicable, include the Access Customer Name Abbreviation (ACNA) of the customer';

comment on column SPADC.IIA12_CP_ID_PURC_PART2.CUSTOMER_ID_OCN is
'Where applicable, include the Operating Company Number (OCN) of the customer';

comment on column SPADC.IIA12_CP_ID_PURC_PART2.CUSTOMER_NAME is
'Enter the name of the customer';

comment on column SPADC.IIA12_CP_ID_PURC_PART2.PROVIDER is
'Indicator variable denoting whether the circuit is purchased by a Provider  (N = non-Provider; Y = Provider)';

/*==============================================================*/
/* Table: IIA12_CP_PRICE_CE_PART1                               */
/*==============================================================*/
create table SPADC.IIA12_CP_PRICE_CE_PART1 
(
   CLOSING_DATE         DATE                 not null,
   CUSTOMER_ID             INT                  not null
      constraint CKC_CUST_ID_IIA12_CP_PART1 check (CUSTOMER_ID >= 0),
   LOCATION_ID          INT,
   CIRCUIT_ID           VARCHAR2(50)         not null,
   CIRCUIT_TYPE         VARCHAR2(10)         not null
      constraint CKC_CIRCUIT_TYPE_IIA12_CP check (CIRCUIT_TYPE in ('DS1','DS3','DS1-UNE','DS3-UNE','other CBDS','PBDS')),
   DSN_BANDWIDTH        NUMBER(15,2)        
      constraint CKC_DSN_BANDWIDTH_IIA12_CP check (DSN_BANDWIDTH is null or (DSN_BANDWIDTH >= 0)),
   OTHERCBDS_BANDWIDTH  NUMBER(15,2)        
      constraint CKC_OTHERCBDS_BANDWID_IIA12_CP check (OTHERCBDS_BANDWIDTH is null or (OTHERCBDS_BANDWIDTH 
 is null or (OTHERCBDS_BANDWIDTH >= 0))),
   PBDS_BANDWIDTH       NUMBER(15,2)        
      constraint CKC_PBDS_BANDWIDTH_IIA12_CP check (PBDS_BANDWIDTH is null or (PBDS_BANDWIDTH >= 0)),
   BILLING_CODE         VARCHAR2(100)        not null,   
   QUANTITY             NUMBER(15,2)        
      constraint CKC_QUANTITY_IIA12_CP check (QUANTITY is null or (QUANTITY >= 0)),
   INITIAL_NRC          NUMBER(15,2)         not null,
   UNIT_NRC             NUMBER(15,2)         not null,
   INITIAL_MRC          NUMBER(15,2)         not null,
   UNIT_MRC             NUMBER(15,2)         not null,
   BILLED           NUMBER(15,2)         not null,
   TOTAL_BILLED       NUMBER(15,2),
   TERM                 INT                  not null,
   END_DATE             DATE,
   TERM_DISCOUNT_IC CHAR(1)             
      constraint CKC_TERM_DISCOUNT_IC__IIA12_CP check (TERM_DISCOUNT_IC is null or (TERM_DISCOUNT_IC in ('1','0'))),
   VOLUME_COMMITMENT CHAR(1)              
      constraint CKC_VOLUME_COMMITMENT_IIA12_CP check (VOLUME_COMMITMENT IS NULL OR VOLUME_COMMITMENT in ('Y','N')),
   VOL_DISCOUNT_IC  CHAR(1)             
      constraint CKC_VOL_DISCOUNT_IC_I_IIA12_CP check (VOL_DISCOUNT_IC is null or (VOL_DISCOUNT_IC in ('1','0'))),
   ADJUSTMENT_ID_1      VARCHAR2(40),
   ADJUSTMENT_ID_2      VARCHAR2(40),
   ADJUSTMENT_ID_3      VARCHAR2(40),
   ADJUSTMENT_ID_4      VARCHAR2(40),
   ADJUSTMENT_ID_5      VARCHAR2(40),
   ADJUSTMENT_ID_6      VARCHAR2(40),
   ADJUSTMENT_ID_7      VARCHAR2(40),
   ADJUSTMENT_ID_8      VARCHAR2(40),
   ADJUSTMENT_ID_9      VARCHAR2(40),
   ADJUSTMENT_ID_10     VARCHAR2(40),
   constraint CKC_IIA12_PART1 check(
    (CIRCUIT_TYPE IN ('DS1','DS3','DS1-UNE','DS3-UNE') AND NVL(dsn_Bandwidth,0)>0 and othercbds_bandwidth IS NULL and pbds_bandwidth IS NULL)
OR  (CIRCUIT_TYPE = 'other CBDS' AND NVL(othercbds_bandwidth,0)>0 and dsn_Bandwidth IS NULL and pbds_bandwidth IS NULL)
OR  (CIRCUIT_TYPE = 'PBDS' AND NVL(pbds_bandwidth,0)>0 and dsn_Bandwidth IS NULL and othercbds_bandwidth IS NULL)),
CONSTRAINT CKC_IIA12_PART1_TERM CHECK( (TERM=1 AND END_DATE IS NULL) OR (TERM NOT IN(1,-99)  AND END_DATE IS NOT NULL AND TERM_DISCOUNT_IC IS NOT NULL AND VOLUME_COMMITMENT IS NOT NULL AND VOL_DISCOUNT_IC IS NOT NULL) OR TERM=-99)
);

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.CLOSING_DATE is
'Closing date of the monthly billing cycle in mm/dd/yyyy format';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.CUSTOMER_ID is
'Unique customer identifier used to link all circuits purchased by a customer over all geographies and time periods.  To be linked with customer names and identification numbers in Part 2 of this question';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.LOCATION_ID is
'Sequential location number from Question II.A.4.a where applicable; required for circuit elements such as channel terminations that can be associated with a particular Location';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.CIRCUIT_ID is
'Circuit identifier common to all circuit elements purchased in common for a particular circuit';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.CIRCUIT_TYPE is
'Type of circuit (DS1, DS3, DS1_UNE, DS3_UNE, other CBDS (i.e., non_DSn), or PBDS.  Enter DS1 for packages of DS1s and DS3 for packages of DS3s).';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.DSN_BANDWIDTH is
'If a DS1, DS3, DS1_UNE, or DS3_UNE , indicate the number of DS1s or DS3s used.';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.OTHERCBDS_BANDWIDTH is
'If a CBDS circuit other than a DSn circuit, indicate the total bandwidth of the circuit (both up and down) in Mbps.';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.PBDS_BANDWIDTH is
'If a PBDS circuit, indicate the total bandwidth of the circuit (both up and down) in Mbps.';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.BILLING_CODE is
'Billing code (e.g., USOC) used to identify the billed circuit element.  (This variable will also appear in Question II.A.14 and will be used to link the billed circuit elements with their descriptions.)';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.QUANTITY is
'Number of billed units for this circuit element.  Do not enter the bandwidth of the circuit in this field.  For circuit elements with multiple billed units (i.e., quantity greater than one in II.B.4.o) please enter the amount billed for a single unit';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.INITIAL_NRC is
'Non_recurring $ charges billed for the first unit of this circuit element';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.UNIT_NRC is
'Non_recurring $ charges billed for additional units of this circuit element';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.INITIAL_MRC is
'Monthly recurring $ charge for the first unit billed';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.UNIT_MRC is
'Monthly recurring $ charge for additional units billed (if different from the amount billed for the initial unit)';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.BILLED is
'Total monthly $ amount per unit, billed for the circuit element including all discounts and penalties';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.TOTAL_BILLED is
'Total monthly $ amount billed for the circuit element including all discounts and penalties';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.TERM is
'Length of total time of the Term Commitment associated with this circuit (in months).  List the total length of the current Term Commitment, not the remaining length of the Term Commitment.  A circuit purchased on a month_to_month basis should be coded as 1.';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.END_DATE is
'If this circuit has an associated Term Commitment, enter the month and year the term expires.';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.TERM_DISCOUNT_IC is
'Indicator variable for whether any in-cycle term discounts have been rolled into the amount billed to the customer reported in the Billed field (N = No in-cycle term discounts included in Billed amount; Y= In-cycle term discounts included in Billed amount)';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.VOLUME_COMMITMENT is
'Indicator variable showing whether this circuit contributes to a Volume Commitment (Y=Yes; N=No)';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.VOL_DISCOUNT_IC is
'Indicator variable for whether any in-cycle volume discounts have been rolled into the amount billed to the customer reported in the Billed field  (N = No in-cycle volume discounts included in Billed amount; Y = In-cycle volume discounts included in Billed amount)';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_1 is
'Unique ID number (from II.A.13) for the first billing adjustment / true_up affecting this circuit element.   Leave the field blank if there are no discounts or penalties that occur during the monthly billing cycle affecting this circuit element.';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_2 is
'Unique ID number (from II.A.13) for the second billing adjustment / true_up affecting this circuit element, if more than one adjustment was applied to this circuit element.   Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_3 is
'Unique ID number (from II.A.13) for the second billing adjustment / true_up affecting this circuit element, if more than one adjustment was applied to this circuit element.   Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_4 is
'Unique ID number (from II.A.13) for the second billing adjustment / true_up affecting this circuit element, if more than one adjustment was applied to this circuit element.   Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_5 is
'Unique ID number (from II.A.13) for the second billing adjustment / true_up affecting this circuit element, if more than one adjustment was applied to this circuit element.   Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_6 is
'Unique ID number (from II.A.13) for the second billing adjustment / true_up affecting this circuit element, if more than one adjustment was applied to this circuit element.   Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_7 is
'Unique ID number (from II.A.13) for the second billing adjustment / true_up affecting this circuit element, if more than one adjustment was applied to this circuit element.   Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_8 is
'Unique ID number (from II.A.13) for the second billing adjustment / true_up affecting this circuit element, if more than one adjustment was applied to this circuit element.   Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_9 is
'Unique ID number (from II.A.13) for the second billing adjustment / true_up affecting this circuit element, if more than one adjustment was applied to this circuit element.   Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

comment on column SPADC.IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_10 is
'Unique ID number (from II.A.13) for the second billing adjustment / true_up affecting this circuit element, if more than one adjustment was applied to this circuit element.   Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

/*==============================================================*/
/* Table: IIA13_CP_BILLING_ADJ                                  */
/*==============================================================*/
create table SPADC.IIA13_CP_BILLING_ADJ 
(
   ADJUSTMENT_ID        VARCHAR2(40)         not null,
   CONTRACT_ID          INT                 
      constraint CKC_CONTRACT_ID_IIA13_CP check (CONTRACT_ID is null or (CONTRACT_ID >= 0)),
   DATE_FROM            DATE                 not null,
   DATE_TO              DATE                 not null,
   ADJUSTMENT_SCOPE     INT                  not null
      constraint CKC_ADJUSTMENT_SCOPE_IIA13_CP check (ADJUSTMENT_SCOPE in (1,2,3,4)),
   ADJUSTMENT           NUMBER(15,2)         not null,
   ADJ_TERM         CHAR(1)              
      constraint CKC_ADJ_TERM_IIA13_CP check (ADJ_TERM IS NULL OR ADJ_TERM in ('Y','N')),
   ADJ_TERM_LENGTH  INT,          
   ADJ_VOL         CHAR(1)             
      constraint CKC_ADJ_VOL_IIA13_CP check (ADJ_VOL IS NULL OR ADJ_VOL in ('Y','N')),
   ADJ_VOL_CIRC     VARCHAR2(255),
   ADJ_VOL_REV      NUMBER(15,2),
   ADJUSTMENT_OTHER     VARCHAR2(500)             
);

comment on column SPADC.IIA13_CP_BILLING_ADJ.ADJUSTMENT_ID is
'Unique ID number for the billing adjustment or true_up';

comment on column SPADC.IIA13_CP_BILLING_ADJ.CONTRACT_ID is
'Unique ID number for the contract from which the adjustment originates.  Leave the field blank if the adjustment cannot be linked back to a single contract';

comment on column SPADC.IIA13_CP_BILLING_ADJ.DATE_FROM is
'Beginning date of adjustment period (or true_up) in mm/dd/yyyy format';

comment on column SPADC.IIA13_CP_BILLING_ADJ.DATE_TO is
'Ending date of adjustment period (or true_up) in mm/dd/yyyy format';

comment on column SPADC.IIA13_CP_BILLING_ADJ.ADJUSTMENT_SCOPE is
'Code indicating scope of adjustment.  Enter 1 if adjustment applies to single circuit element for single circuit, enter 2 if adjustment applies to more than one circuit element on a single circuit, enter 3 if adjustment applies to one or more circuit elements across multiple circuits, enter 4 if the adjustment is an overall adjustment that applies to every circuit purchased.';

comment on column SPADC.IIA13_CP_BILLING_ADJ.ADJUSTMENT is
'Total dollar amount of billing adjustment (or true_up) for all circuit elements across all circuits covered by the adjustment.  Any increase in the amount owed to the vendor (e.g., penalty) should be a positive number while any decrease in the amount owed to the vendor (e.g., discount or rebate) should be a negative number.';

comment on column SPADC.IIA13_CP_BILLING_ADJ.ADJ_TERM is
'Indicator variable denoting whether the adjustment/true_up was due to a Term Commitment (0=No, 1=Yes)';

comment on column SPADC.IIA13_CP_BILLING_ADJ.ADJ_TERM_LENGTH is
'If Adj_Term=1, enter the term length in months. If Adj_Term=0, leave blank';

comment on column SPADC.IIA13_CP_BILLING_ADJ.ADJ_VOL is
'Indicator variable denoting whether the adjustment/true_up was due to a Volume Commitment (0=No, 1=Yes)';

comment on column SPADC.IIA13_CP_BILLING_ADJ.ADJ_VOL_CIRC is
'Indicator variable denoting whether the adjustment/true_up was due to a Volume Commitment (0=No, 1=Yes)';

comment on column SPADC.IIA13_CP_BILLING_ADJ.ADJ_VOL_REV is
'If Adj_Vol=1, enter the number of circuits specified in the contract which are necessary to qualify for the adjustment. If Adj_Vol=0, leave blank';

comment on column SPADC.IIA13_CP_BILLING_ADJ.ADJUSTMENT_OTHER is
'If the adjustment/true_up is for some other reason, give a brief description of the reason for the adjustment';

/*==============================================================*/
/* Table: IIA14_CP_BILLING_DESC                                 */
/*==============================================================*/
create table SPADC.IIA14_CP_BILLING_DESC 
(
   BILLING_CODE         VARCHAR2(100)        not null,
   BILLING_CODE_DESCRIPTION VARCHAR2(100),
   BILLING_CODE_DESC_OTHER VARCHAR2(150),
   constraint CKT_IIA14_CP_BILLING_DESC check ((BILLING_CODE_DESCRIPTION is not null or BILLING_CODE_DESC_OTHER is not null))
);

comment on column SPADC.IIA14_CP_BILLING_DESC.BILLING_CODE is
'Billing code (e.g., USOC) used to identify the billed circuit element.  (This variable will aslo appear in Question II.A.12 and will be used to link the billed circuit elements with their descriptions)';

comment on column SPADC.IIA14_CP_BILLING_DESC.BILLING_CODE_DESCRIPTION is
'Brief description of circuit element';

comment on column SPADC.IIA14_CP_BILLING_DESC.BILLING_CODE_DESC_OTHER is
'The description of the circuit element as it appears on the customer''s bill.';

/*==============================================================*/
/* Table: IIA15_SALES_REV_CBDS                                  */
/*==============================================================*/
create table SPADC.IIA15_SALES_REV_CBDS 
(
   REVENUE              NUMBER(15,2)         not null
      constraint CKC_REVENUE_IIA15_SA check (REVENUE >= 0),
   SERVICE_TYPE         VARCHAR2(5)          not null
      constraint CKC_SERVICE_TYPE_IIA15_SA check (SERVICE_TYPE in ('DS1','DS3','Other')),
   CUSTOMER_ID         CHAR                 not null
      constraint CKC_CUSTOMER_ID_IIA15_SA check (CUSTOMER_ID in ('1','0')),
   YEAR             NUMBER               not null
);

comment on table SPADC.IIA15_SALES_REV_CBDS is
'Question II.A.15:  Sales Revenues for CBDS';

/*==============================================================*/
/* Table: IIA16_SALES_REV_PBDS                                  */
/*==============================================================*/
create table SPADC.IIA16_SALES_REV_PBDS 
(
   REVENUE              NUMBER(15,2)         not null
      constraint CKC_REVENUE_IIA16_SA check (REVENUE >= 0),
   BANDWIDTH            VARCHAR2(2)                 not null
      constraint CKC_BANDWIDTH_IIA16_SA check (BANDWIDTH in ('A','B','C','D','E','NA')),
   CUSTOMER_ID         CHAR                 not null
      constraint CKC_PROVIDER_IND_IIA16_SA check (CUSTOMER_ID in ('1','0')),
   YEAR             NUMBER               not null
);

comment on table SPADC.IIA16_SALES_REV_PBDS is
'Question II.A.16:  Sales Revenues for PBDS';

comment on column SPADC.IIA16_SALES_REV_PBDS.REVENUE is
'Enter the dollar amount for the Revenues';

comment on column SPADC.IIA16_SALES_REV_PBDS.BANDWIDTH is
'Indicate the bandwidth category for which the Revenues are reported.  Enter "A" for bandwidth less than or equal to 1.5 Mbps, enter "B" for bandwidth greater than 1.5 Mbps but less than or equal to 50 Mbps, enter "C" for bandwidth greater than 50 Mbps but less than or equal to 100 Mbps, enter "D" for bandwidth greater than 100 Mbps but less than or equal to 1 Gbps, and enter "E" for bandwidth greater than 1 Gbps';

comment on column SPADC.IIA16_SALES_REV_PBDS.CUSTOMER_ID is
'Enter 1 if the reported revenues are for Providers, and enter 0 if the reported revenues are for End Users';

comment on column SPADC.IIA16_SALES_REV_PBDS.YEAR is
'Enter "2010" if the reported Revenues are for the year 2010, and enter "2012" if the reported Revenues are for the year 2012';

/*==============================================================*/
/* Table: IIA17_CP_PCT_REV_GEN                                  */
/*==============================================================*/
create table SPADC.IIA17_CP_PCT_REV_GEN 
(
   PERCENT_REV_2013_DS1_PPC  NUMBER(6,2)          not null
      constraint CKC_PERCENT_REV_DS1_P_IIA17_CP check (PERCENT_REV_2013_DS1_PPC between 0 and 100),
   PERCENT_REV_2013_DS3_PPC  NUMBER(6,2)          not null
      constraint CKC_PERCENT_REV_DS3_P_IIA17_CP check (PERCENT_REV_2013_DS3_PPC between 0 and 100),
   PERCENT_REV_2013_PBDS_PPC NUMBER(6,2)          not null
      constraint CKC_PERCENT_REV_PBDS__IIA17_CP check (PERCENT_REV_2013_PBDS_PPC between 0 and 100)
);

comment on column SPADC.IIA17_CP_PCT_REV_GEN.PERCENT_REV_2013_DS1_PPC is
'Percentage of Revenue from sales of DS1s in 2012 from agreements or tariffs which contain Prior Purchase-Based Commitments';

comment on column SPADC.IIA17_CP_PCT_REV_GEN.PERCENT_REV_2013_DS3_PPC is
'Percentage of Revenue from sales of DS3s in 2012 from agreements or tariffs which contain Prior Purchase-Based Commitments';

comment on column SPADC.IIA17_CP_PCT_REV_GEN.PERCENT_REV_2013_PBDS_PPC is
'Percentage of Revenue from sales of PBDS in 2012 from agreements or tariffs which contain Prior Purchase-Based Commitments';

/*==============================================================*/
/* Table: IIA1_CP_AFFILIATED_COM                                */
/*==============================================================*/
create table SPADC.IIA1_CP_AFFILIATED_COM 
(
   AFFILIATE_ID         INT                  not null
      constraint CKC_AFFILIATE_ID_IIA1_CP_ check (AFFILIATE_ID >= 0),
   AFFILIATE_NAME       VARCHAR2(100)        not null,
   NAME_FRN        CHAR(10)             not null
      constraint CHK_IIA1_AFFILIATE_FRN check (LENGTH(TRIM(NAME_FRN)) = 10 AND TO_NUMBER(NAME_FRN) >=0),
   constraint PK_IIA1_CP_AFFILIATED_COM primary key (AFFILIATE_ID)
);

comment on table SPADC.IIA1_CP_AFFILIATED_COM is
'Question II.A.1:  Affiliated Company';

comment on column SPADC.IIA1_CP_AFFILIATED_COM.AFFILIATE_NAME is
'If Yes, name of Provider with whom you are affiliated';

comment on column SPADC.IIA1_CP_AFFILIATED_COM.NAME_FRN is
'Provider FCC Registration Number (with leading zeros)';

/*==============================================================*/
/* Table: IIA2_CP_FAC_ADDL_INFO                                 */
/*==============================================================*/
create table SPADC.IIA2_CP_FAC_ADDL_INFO 
(
   CONNECTION   CHAR(1)              not null
      constraint CHK_IIA2_OWN_CONNECTION check (CONNECTION in ('Y','N')),
   PRICE_CAP        CHAR(1)              not null
      constraint CHK_IIA2_PRICE_CAP check (PRICE_CAP in ('Y','N'))
);

comment on column SPADC.IIA2_CP_FAC_ADDL_INFO.CONNECTION is
'Do you own a Connection? Y=Yes,N=No';

comment on column SPADC.IIA2_CP_FAC_ADDL_INFO.PRICE_CAP is
'Are any of the Connections to a Location in a price cap area? Y=Yes,N=No';

/*==============================================================*/
/* Table: IIA3_CP_LOCATION_CNT                                  */
/*==============================================================*/
create table SPADC.IIA3_CP_LOCATION_CNT 
(
   YEAR            INT                  not null,
   LOCATIONS       INT                  not null,
   constraint PK_IIA3_CP_LOCATION_CNT primary key (YEAR)
);

comment on table SPADC.IIA3_CP_LOCATION_CNT is
'Question II.A.3:  Locations Data for Competitive Providers _ COUNT';

comment on column SPADC.IIA3_CP_LOCATION_CNT.YEAR is
'Indicator of the calendar year of the data';

comment on column SPADC.IIA3_CP_LOCATION_CNT.LOCATIONS is
'Total Locations served during year';

/*==============================================================*/
/* Table: IIA4_CP_LOCATION_DATA                                 */
/*==============================================================*/
create table SPADC.IIA4_CP_LOCATION_DATA 
(
   LOCATION_ID          INT                  not null
      constraint CKC_LOCATION_ID_IIA4_CP_ check (LOCATION_ID >= 0),
   YEAR            INT                  not null,
   STREET_ADDRESS       VARCHAR2(100)        not null,
   CITY                 VARCHAR2(100)        not null,
   STATE                CHAR(2)              not null,
   ZIP                  VARCHAR2(5)          ,
   ZIP4                 VARCHAR2(4)          ,
   LATTITUDE                  NUMBER(7,4)         
      constraint CHK_IIA4_LATTITUDEITUDE check (LATTITUDE is null or (LATTITUDE between 10.00000 and 71.00000)),
   LONGITUDE            NUMBER(7,4)         
      constraint CHK_IIA4_LONGITUDEITUDE check (LONGITUDE is null or (LONGITUDE between -180.00000 and 180.00000)),
   LOC_TYPE        INT                  not null
      constraint CHK_IIA4_LOC_TYPE check (LOC_TYPE in (1,2,3,4,5,6)),
   IRU_SUPPLIER         VARCHAR2(100),
   UNE_SUPPLIER         VARCHAR2(100),
   UCL_SUPPLIER         VARCHAR2(100),
   MEDIUM           CHAR(1)              default 'N' not null
      constraint CHK_IIA4_MEDIUM check (MEDIUM in ('Y','N')),
   SOLD_BANDWIDTH_TOTAL NUMBER(15,3)        
      constraint CKC_SOLD_BANDWIDTH_LO_IIA4_CP_ check (SOLD_BANDWIDTH_TOTAL is null or (SOLD_BANDWIDTH_TOTAL >= 0)),
   SOLD_BANDWITH_ENDUSER NUMBER(15,3)        
      constraint CKC_SOLD_BANDWITH_EU__IIA4_CP_ check (SOLD_BANDWITH_ENDUSER is null or (SOLD_BANDWITH_ENDUSER >= 0)),
   SOLD_BANDWIDTH_TFW NUMBER(15,3)        
      constraint CKC_SOLD_BANDWIDTH_TF_IIA4_CP_ check (SOLD_BANDWIDTH_TFW is null or (SOLD_BANDWIDTH_TFW >= 0)),
   SOLD_BANDWIDTH_MOBILE NUMBER(15,3)        
      constraint CKC_SOLD_BANDWIDTH_MO_IIA4_CP_ check (SOLD_BANDWIDTH_MOBILE is null or (SOLD_BANDWIDTH_MOBILE >= 0)),
   BANDWIDTH_INTERNAL    NUMBER(15,3),      
   constraint PK_IIA4_CP_LOCATION_DATA primary key (LOCATION_ID, YEAR)   
);

comment on table SPADC.IIA4_CP_LOCATION_DATA is
'Question II.A.4:  Locations Data for Competitive Providers';

comment on column SPADC.IIA4_CP_LOCATION_DATA.LOCATION_ID is
'Sequential location number';

comment on column SPADC.IIA4_CP_LOCATION_DATA.YEAR is
'Sequential Location number (same Location_ID will also be reported in the II.A.12 question reLATTITUDEed to billing).';

comment on column SPADC.IIA4_CP_LOCATION_DATA.STREET_ADDRESS is
'Actual situs for the location (i.e., land were building or cell site is located)';

comment on column SPADC.IIA4_CP_LOCATION_DATA.CITY is
'City of the location';

comment on column SPADC.IIA4_CP_LOCATION_DATA.STATE is
'Two_letter state postal abbreviation of the location';

comment on column SPADC.IIA4_CP_LOCATION_DATA.ZIP is
'5_digit ZIP code (with leading zeros) of the location';

comment on column SPADC.IIA4_CP_LOCATION_DATA.ZIP4 is
'4_digit add_on code (with leading zeros) of the location';

comment on column SPADC.IIA4_CP_LOCATION_DATA.LATTITUDE is
'LATTITUDEitude to 5 decimal places';

comment on column SPADC.IIA4_CP_LOCATION_DATA.LONGITUDE is
'LONGITUDEitude to 5 decimal places';

comment on column SPADC.IIA4_CP_LOCATION_DATA.LOC_TYPE is
'The type of Location is a:  (1=building; 2=other man-made structure; 3=cell site in or on a building; 4=free-standing cell site; 5=cell site in or on some other man-made structure, e.g., water tower) ; 6 = 6=unknown.';

comment on column SPADC.IIA4_CP_LOCATION_DATA.IRU_SUPPLIER is
'If Connections to this Location are leased under an IRU, enter the name of the entity from which the majority of capacity is leased.';

comment on column SPADC.IIA4_CP_LOCATION_DATA.UNE_SUPPLIER is
'If Connections to this Location are obtained as a DS1/DS3 UNE, enter the name of the entity from which the majority of capacity is obtained.';

comment on column SPADC.IIA4_CP_LOCATION_DATA.UCL_SUPPLIER is
'If Connections to this Location are obtained as an Unbundled Copper Loop, enter the name of the entity from which the majority of capacity is obtained.';

comment on column SPADC.IIA4_CP_LOCATION_DATA.MEDIUM is
'Are any of the Connections to this Location provided over fiber? (Y/N)';

comment on column SPADC.IIA4_CP_LOCATION_DATA.SOLD_BANDWIDTH_TOTAL is
'Total bandwidth (in Mbps) of Connections provided to the Location as sold or used internally.';

comment on column SPADC.IIA4_CP_LOCATION_DATA.SOLD_BANDWITH_ENDUSER is
'Total bandwidth (in Mbps) of Connections provided to End Users at the Location as sold or used internally.';

comment on column SPADC.IIA4_CP_LOCATION_DATA.SOLD_BANDWIDTH_TFW is
'Total bandwidth (in Mbps) of Connections provided to the Location using terrestrial fixed wireless as sold or used internally.';

comment on column SPADC.IIA4_CP_LOCATION_DATA.SOLD_BANDWIDTH_MOBILE is
'Total bandwidth (in Mbps) of Connections to mobile wireless service sites at the Location as sold or used internally.';

comment on column SPADC.IIA4_CP_LOCATION_DATA.BANDWIDTH_INTERNAL is
'Total bandwidth used internally.';


/*==============================================================*/
/* Table: IIA7_CP_COLOC_WIRE                                    */
/*==============================================================*/
create table SPADC.IIA7_CP_COLOC_WIRE 
(
   ID                   NUMERIC(10) NOT NULL,
   STREET_ADDRESS       VARCHAR2(100)       ,
   CITY                 VARCHAR2(100)       ,
   STATE                VARCHAR2(100)       ,
   ZIP                  VARCHAR2(5)         
      constraint CKC_ZIP_IIA7_CP_ check (length(ZIP) = 5),
   ZIP4                 VARCHAR2(4)          
      constraint CKC_ZIP4_IIA7_CP_ check (length(ZIP4) = 4),
   LATTITUDE             NUMBER(7,4)        
      constraint CHK_IIA7_LATTITUDE check (LATTITUDE IS NULL OR LATTITUDE=0 OR LATTITUDE between 10.00000 and 71.00000),
   LONGITUDE            NUMBER(7,4)          
      constraint CHK_IIA7_LONGITUDE check (LONGITUDE IS NULL OR LONGITUDE=0 OR LONGITUDE between -180.00000 and 180.00000),
   CLLI                 CHAR(8)              
      constraint CHK_IIA7_CLLI check ((CLLI IS NULL) OR (LENGTH(TRIM(CLLI)) = 8 ) and LENGTH(TRIM(TRANSLATE(CLLI, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789 ', ' '))) IS null)
);

comment on table SPADC.IIA7_CP_COLOC_WIRE is
'Question II.A.7:  Collocations by Wire Center';

comment on column SPADC.IIA7_CP_COLOC_WIRE.ID is
'Sequential ID Number';

comment on column SPADC.IIA7_CP_COLOC_WIRE.STREET_ADDRESS is
'Actual situs (i.e., land were building is located) address of the collocation site';

comment on column SPADC.IIA7_CP_COLOC_WIRE.CITY is
'City of address';

comment on column SPADC.IIA7_CP_COLOC_WIRE.STATE is
'Two_letter state postal abbreviation of address';

comment on column SPADC.IIA7_CP_COLOC_WIRE.ZIP is
'5_digit ZIP code (with leading zeros) of address';

comment on column SPADC.IIA7_CP_COLOC_WIRE.ZIP4 is
'4_digit add_on code (with leading zeros) of address';

comment on column SPADC.IIA7_CP_COLOC_WIRE.LATTITUDE is
'LATTITUDEitude to 5 decimal places';

comment on column SPADC.IIA7_CP_COLOC_WIRE.LONGITUDE is
'LONGITUDEitude to 5 decimal places';

comment on column SPADC.IIA7_CP_COLOC_WIRE.CLLI is
'Telcordia_specified eight_character CLLI';

/*==============================================================*/
/* Table: IIA9_CP_HQ_AC                                         */
/*==============================================================*/
create table SPADC.IIA9_CP_HQ_AC 
(
   STREET_NAME          VARCHAR2(100)        not null,
   CITY                 VARCHAR2(100)        not null,
   STATE                VARCHAR2(2)          not null,
   ZIP                  VARCHAR2(5)          not null
      constraint CKC_ZIP_IIA9_CP_AC check (length(ZIP) = 5),
   ZIP4                 VARCHAR2(4)          
      constraint CKC_ZIP4_IIA9_CP_AC check (length(ZIP4) = 4),
   YEAR_HEAD     INT                  not null
      );

comment on column SPADC.IIA9_CP_HQ_AC.ZIP4 is
'4_digit add_on code (with leading zeros) of address';

/*==============================================================*/
/* Table: IIA9_CP_HQ_ACQ_D                                      */
/*==============================================================*/
create table SPADC.IIA9_CP_HQ_ACQ_D 
(
   ACQENTITY_NAME      VARCHAR2(100)        not null,
   STREET_ADDRESS       VARCHAR2(100),
   CITY                 VARCHAR2(100),
   STATE                VARCHAR2(2),
   ZIP                  VARCHAR2(5)         
      constraint CKC_ZIP_IIA9_CP_D check (ZIP is null or (length(ZIP) = 5)),
   ZIP4                 VARCHAR2(4)         
      constraint CKC_ZIP4_IIA9_CP_D check (ZIP4 is null or (length(ZIP4) = 4)),
   YEAR_HEAD     INT                 
);

comment on column SPADC.IIA9_CP_HQ_ACQ_D.ACQENTITY_NAME is
'Name of acquired entity';

comment on column SPADC.IIA9_CP_HQ_ACQ_D.STREET_ADDRESS is
'Situs address of the U.S. headquarters of acquired entity at time of merger';

comment on column SPADC.IIA9_CP_HQ_ACQ_D.CITY is
'City name for current U.S. headquarters';

comment on column SPADC.IIA9_CP_HQ_ACQ_D.STATE is
'State name for current U.S. headquarters';

comment on column SPADC.IIA9_CP_HQ_ACQ_D.ZIP is
'5 digit ZIP code for current U.S. headquarters';

comment on column SPADC.IIA9_CP_HQ_ACQ_D.YEAR_HEAD is
'Year when U.S. headquarters established';

/*==============================================================*/
/* Table: IIA9_CP_HQ_AFF_EF                                     */
/*==============================================================*/
create table SPADC.IIA9_CP_HQ_AFF_EF 
(
   AFFCOMPANY_NAME      VARCHAR2(100)        not null,
   YEAR_OF_AFFILIATION     INT                 
      constraint CKC_YEAR_AFFILIATION_IIA9_CP_ check (YEAR_OF_AFFILIATION is null or (YEAR_OF_AFFILIATION between 1850 and 2020)),
   STREET_ADDRESS       VARCHAR2(100),
   CITY                 VARCHAR2(100),
   STATE                VARCHAR2(2),
   ZIP                  VARCHAR2(5)         
      constraint CKC_ZIP_IIA9_CP_EF check (ZIP is null or (length(ZIP)= 5)),
   ZIP4                 VARCHAR2(4)         
      constraint CKC_ZIP4_IIA9_CP_EF check (ZIP4 is null or (length(ZIP4) = 4)),
   YEAR_HEAD     INT                 
      constraint CHK_IIA9_CP_HQ_EF_YEAR_EST check (YEAR_HEAD is null or YEAR_HEAD=0 or (YEAR_HEAD between 1850 and 2020))
);

comment on column SPADC.IIA9_CP_HQ_AFF_EF.AFFCOMPANY_NAME is
'Name of Affiliated Company';

comment on column SPADC.IIA9_CP_HQ_AFF_EF.YEAR_OF_AFFILIATION is
'Year you became affiliated with the Affiliated Company';

comment on column SPADC.IIA9_CP_HQ_AFF_EF.STREET_ADDRESS is
'Situs address of the U.S. headquarters for Affiliated Company';

comment on column SPADC.IIA9_CP_HQ_AFF_EF.CITY is
'City name for current U.S. headquarters';

comment on column SPADC.IIA9_CP_HQ_AFF_EF.STATE is
'State name for current U.S. headquarters';

comment on column SPADC.IIA9_CP_HQ_AFF_EF.ZIP is
'5 digit ZIP code for current U.S. headquarters';

comment on column SPADC.IIA9_CP_HQ_AFF_EF.ZIP4 is
'4_digit add_on code (with leading zeros) of address';

comment on column SPADC.IIA9_CP_HQ_AFF_EF.YEAR_HEAD is
'Year when U.S. headquarters established';

/*==============================================================*/
/* Table: IIB10_SALES_REV_OMT                                   */
/*==============================================================*/
create table SPADC.IIB10_SALES_REV_OMT 
(
   REVENUES              NUMBER(15,2)         not null
      constraint CKC_REVENUE_IIB10_SA check (REVENUES >= 0),
   SERVICE_TYPE          VARCHAR2(5)          not null
      constraint CKC_SERVICE_TYPE_IIB10_SA check (SERVICE_TYPE in ('DS1','DS3','PBDS')),
   CUSTOMER_TYPE         CHAR                 not null
      constraint CKC_CUSTOMER_TYPE_IIB10_SA check (CUSTOMER_TYPE in ('1','0')),
   YEAR             INTEGER              not null
);

comment on table SPADC.IIB10_SALES_REV_OMT is
'Question II.B.10:  Revenues from One Month Term Only Rates';

comment on column SPADC.IIB10_SALES_REV_OMT.REVENUES is
'Enter the dollar amount for the Revenues for One Month Term Only Rates';

comment on column SPADC.IIB10_SALES_REV_OMT.SERVICE_TYPE is
'Indicate the service type category for which the Revenues are reported.  Enter "DS1" for DS1 Revenues, enter "DS3" for DS3 Revenues, and enter "PBDS" for PBDS Revenues';

comment on column SPADC.IIB10_SALES_REV_OMT.CUSTOMER_TYPE is
'Enter 1 if the reported revenues are for Providers, and enter 0 if the reported revenues are for End Users';

comment on column SPADC.IIB10_SALES_REV_OMT.YEAR is
'Enter "2010" if the reported Revenues are for the year 2010 and enter "2012" if the reported Revenues are for the year 2012';

/*==============================================================*/
/* Table: IIB11_CUST_CNT_OMT                                    */
/*==============================================================*/
create table SPADC.IIB11_CUST_CNT_OMT 
(
   OMT_CUSTCOUNT       INTEGER              not null
      constraint CKC_OMT_CUSTCOUNT_IIB11_CU check (OMT_CUSTCOUNT >= 0),
   SERVICE_TYPE        VARCHAR2(4)          not null
      constraint CKC_SERVICE_TYPE_IIB11_CU check (SERVICE_TYPE in ('DS1','DS3','PBDS')),
   CUSTOMER_TYPE       CHAR                 not null
      constraint CKC_PROVIDER_IND_IIB11_CU check (CUSTOMER_TYPE in ('1','0'))
 );

comment on table SPADC.IIB11_CUST_CNT_OMT is
'Question II.B.11:  Number of Customers with One Month Term Only Rates';

comment on column SPADC.IIB11_CUST_CNT_OMT.OMT_CUSTCOUNT is
'Number of One Month Term Only Rate customers for DS1s, DS3s, and PBDS as of Dec. 31, 2012';

comment on column SPADC.IIB11_CUST_CNT_OMT.SERVICE_TYPE is
'Indicate the service type category for which the Revenues are reported.  Enter "DS1" for DS1 Revenues, enter "DS3" for DS3 Revenues, and enter "PBDS" for PBDS Revenues';

comment on column SPADC.IIB11_CUST_CNT_OMT.CUSTOMER_TYPE is
'Enter 1 if the reported revenues are for Providers, and enter 0 if the reported revenues are for End Users';

/*==============================================================*/
/* Table: IIB12_ALL_TARIFFS                                     */
/*==============================================================*/
create table SPADC.IIB12_ALL_TARIFFS 
(
   TAR_PLAN         CHAR                 not null
      constraint CKC_TAR_PLAN_IIB12_AL check (TAR_PLAN in ('Y','N')),
   CBT_PLAN         CHAR                 not null
      constraint CKC_CBT_PLAN_IIB12_AL check (CBT_PLAN in ('Y','N')),
   PLAN_NAME            VARCHAR2(100)        not null,
   TAR_SEC              VARCHAR2(100)        not null,
   TERM_COM         CHAR                 not null
      constraint CKC_TERM_COM_IIB12_AL check (TERM_COM in ('Y','N')),
   VOL_COM          CHAR                 not null
      constraint CKC_VOL_COM_IIB12_AL check (VOL_COM in ('Y','N')),
   NON_RATE_BENEFIT CHAR                 not null
      constraint CKC_NON_RATE_BENEFIT__IIB12_AL check (NON_RATE_BENEFIT in ('Y','N')),
   NON_RATE_BENEFIT_EXP VARCHAR2(2000)   ,
   PLAN_DS1         CHAR                 not null
      constraint CKC_PLAN_DS1_IIB12_AL check (PLAN_DS1 in ('Y','N')),
   PLAN_DS3         CHAR                 not null
      constraint CKC_PLAN_DS3_IIB12_AL check (PLAN_DS3 in ('Y','N')),
   PLAN_PBDS        CHAR                 not null
      constraint CKC_PLAN_PBDS_IIB12_AL check (PLAN_PBDS in ('Y','N')),
   PLAN_OTHER       CHAR                 not null
      constraint CKC_PLAN_OTHER_IIB12_AL check (PLAN_OTHER in ('Y','N')),
   PLAN_GEO_NAT     CHAR                 not null
      constraint CKC_PLAN_GEO_NAT_IIB12_AL check (PLAN_GEO_NAT in ('Y','N')),
   PLAN_GEO_MSA     CHAR                 not null
      constraint CKC_PLAN_GEO_MSA_IIB12_AL check (PLAN_GEO_MSA in ('Y','N')),
   PLAN_GEO_NONMSA  CHAR                 not null
      constraint CKC_PLAN_GEO_NONMSA_I_IIB12_AL check (PLAN_GEO_NONMSA in ('Y','N')),
   PPB_COM          CHAR                 not null
      constraint CKC_PPB_COM_IIB12_AL check (PPB_COM in ('Y','N')),
   OOR_APPLY        VARCHAR2(2)          not null
      constraint CKC_OOR_APPLY_IIB12_AL check (OOR_APPLY in ('Y','N','NA')),
   OOR_PC_APPLY     VARCHAR2(2)          not null
      constraint CKC_OOR_PC_APPLY_IIB12_AL check (OOR_PC_APPLY in ('Y','N','NA')),
   PH1_APPLY        VARCHAR2(2)          not null
      constraint CKC_PH1_APPLY_IIB12_AL check (PH1_APPLY in ('Y','N','NA')),
   PH2_APPLY        VARCHAR2(2)          not null
      constraint CKC_PH2_APPLY_IIB12_AL check (PH2_APPLY in ('Y','N','NA')),
   PBDS1_APPLY      VARCHAR2(2)          not null
      constraint CKC_PBDS1_APPLY_IIB12_AL check (PBDS1_APPLY in ('Y','N','NA')),
   PBDS2_APPLY      VARCHAR2(2)          not null
      constraint CKC_PBDS2_APPLY_IIB12_AL check (PBDS2_APPLY in ('Y','N','NA')),
   OTHER_APPLY      VARCHAR2(2)          not null
      constraint CKC_OTHER_APPLY_IIB12_AL check (OTHER_APPLY in ('Y','N','NA')),
   UNE_COND         CHAR                 not null
      constraint CKC_UNE_COND_IIB12_AL check (UNE_COND in ('Y','N')),
   REV_TOT_2013         NUMBER(15,2),
   BIZ_RATIONAL         VARCHAR2(2000)       not null,
   TOT_CUSTCOUNT_2013   INTEGER              not null,
   DS1_CUSTCOUNT_2013   INTEGER              not null,
   DS3_CUSTCOUNT_2013   INTEGER              not null,
   PBDS_CUSTCOUNT2013   INTEGER              not null,
   DS1_CUSTCOUNT_2013_CP INTEGER              not null,
   DS3_CUSTCOUNT_2013_CP INTEGER              not null,
   PBDS_CUSTCOUNT_2013_CP INTEGER              not null,
   DS1_CUSTCOUNT_2013_EUSERS INTEGER              not null,
   DS3_CUSTCOUNT_2013_EUSERS INTEGER              not null,
   PBDS_CUSTCOUNT_2013_EUSERS INTEGER              not null,
   CUSTCOUNT_5ORFEWER CHAR                 not null
      constraint CKC_CUSTCOUNT_5ORFEWE_IIB12_AL check (CUSTCOUNT_5ORFEWER in ('Y','N')),
   CUSTCOUNT_NEW        INTEGER              not null,
   CUSTCOUNT_EXIST      VARCHAR2(2000)        not null,
   CUSTOMER_FAIL        INTEGER              not null,
   constraint CKC_non_rate_benefit check ((NON_RATE_BENEFIT='Y' AND NON_RATE_BENEFIT_EXP IS NOT NULL) OR NON_RATE_BENEFIT='N')
);

comment on column SPADC.IIB12_ALL_TARIFFS.TAR_PLAN is
'Plan is a Tariff Plan (1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.CBT_PLAN is
'Plan is a Contract-Based Tariff  (1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.PLAN_NAME is
'Name of plan [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.TAR_SEC is
'Tariff Section and Number [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.TERM_COM is
'Does plan contain a Term Commitment? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.VOL_COM is
'Does plan contain a Volume Commitment?(1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.NON_RATE_BENEFIT is
'Does plan contain a Non-Rate Benefit option?(1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.NON_RATE_BENEFIT_EXP is
'If plan contains a Non-Rate Benefit option, explain the Non-Rate Benefits. [Public][For IT, need medium-LONGITUDE text limit here.]';

comment on column SPADC.IIB12_ALL_TARIFFS.PLAN_DS1 is
'Does plan apply to purchase of DS1s? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.PLAN_DS3 is
'Does plan apply to purchase of DS3s? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.PLAN_PBDS is
'Does plan apply to purchase of PBDS? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.PLAN_OTHER is
'Does plan apply to purchase of other services? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.PLAN_GEO_NAT is
'Is the plan available across your entire nationwide service area?  Enter "Y" if the plan is available across your entire service area, including both within and outside of MSAs, and enter "N" if it is only available in a subset of your service area.';

comment on column SPADC.IIB12_ALL_TARIFFS.PLAN_GEO_MSA is
'If the plan is not available across your entire nationwide service area (i.e., Plan_Geo_Nat = "N"), indicate whether the plan is available in at least one MSA.  Enter "Y" if the plan is available in at least one MSA, and enter "N" if it is only available in non-MSA areas.  If Plan_Geo_Nat = "Y", the value for Plan_Geo_MSA must be "Y"';

comment on column SPADC.IIB12_ALL_TARIFFS.PLAN_GEO_NONMSA is
'If the plan is not available across your entire nationwide service area (i.e., Plan_Geo_Nat = "N"), indicate whether the plan is available in at least one non-MSA area.  Enter "Y" if the plan is available in at least one non-MSA, and enter "N" if it is only available in MSAs.  If Plan_Geo_Nat = "Y", the value for Plan_Geo_nonMSA must be "Y"';

comment on column SPADC.IIB12_ALL_TARIFFS.PPB_COM is
'To receive a discount or Non-Rate Benefit under this plan, must the customer make a Prior Purchase-Based Commitment? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.OOR_APPLY is
'Do purchases of DS1 or DS3 services in areas outside of your price cap study area(s) count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.OOR_PC_APPLY is
'Do DS1 or DS3 purchases in areas where you are subject to price cap reguLATTITUDEion and where pricing flexibility has not been granted count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan?(2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.PH1_APPLY is
'Do DS1 or DS3 purchases in areas where you have been granted Phase I Pricing Flexibility count towards meeting any Volumne Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.PH2_APPLY is
'Do DS1 or DS3 purchases in areas where you have been granted Phase II Pricing Flexibility count towards meeting any Volumne Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.PBDS1_APPLY is
'Do non-tariffed PBDS purchases by the customer count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.PBDS2_APPLY is
'Do tariffed PBDS purchases by the customer count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.OTHER_APPLY is
'Do purchases by the customer for services other than DS1s, DS3s, and PBDS count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan?(2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.UNE_COND is
'Is the discount or Non-Rate Benefit available under this plan conditioned on the customer limiting its purchase of UNEs, e.g., customer must keep its purchase of UNEs below a certain percentage of the customer''s total spend?(1=Yes, 0=No) [Public]';

comment on column SPADC.IIB12_ALL_TARIFFS.REV_TOT_2013 is
'Total Revenue from sales of DS1s, DS3s, and PBDS combined for 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.BIZ_RATIONAL is
'What is the business justification for any Term or Volume Commitments associated with this plan?[Public] [For IT, need generous text limit here.]';

comment on column SPADC.IIB12_ALL_TARIFFS.TOT_CUSTCOUNT_2013 is
'Total number of customers subscribed to this plan as of Dec. 31, 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.DS1_CUSTCOUNT_2013 is
'Number of customers purchasing DS1s under this plan as of Dec. 31, 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.DS3_CUSTCOUNT_2013 is
'Number of customers purchasing DS3s under this plan as of Dec. 31, 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.PBDS_CUSTCOUNT2013 is
'Number of customers purchasing PBDS under this plan as of Dec. 31, 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.DS1_CUSTCOUNT_2013_CP is
'Number of customers that were Competitive Providers purchasing DS1s under this plan as of Dec. 31, 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.DS3_CUSTCOUNT_2013_CP is
'Number of customers that were Competitive Providers purchasing DS3s under this plan as of Dec. 31, 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.PBDS_CUSTCOUNT_2013_CP is
'Number of customers that were Competitive Providers purchasing PBDS under this plan as of Dec. 31, 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.DS1_CUSTCOUNT_2013_EUSERS is
'Number of customers that were End Users purchasing DS1s under this plan as of Dec. 31, 2012';

comment on column SPADC.IIB12_ALL_TARIFFS.DS3_CUSTCOUNT_2013_EUSERS is
'Number of customers that were End Users purchasing DS3s under this plan as of Dec. 31, 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.PBDS_CUSTCOUNT_2013_EUSERS is
'Number of customers that were End Users purchasing PBDS under this plan as of Dec. 31, 2012 [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.CUSTCOUNT_5ORFEWER is
'(Were five or fewer customers, in total, subscribed to this plan as of Dec. 31, 2012? (1=Yes, 0=No) [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.CUSTCOUNT_NEW is
'If Yes, indicate the number of subscribers to this plan that were new customers (as opposed to an existing or prior customer) at the time they to subscribed this plan. [Highly Confidential]';

comment on column SPADC.IIB12_ALL_TARIFFS.CUSTCOUNT_EXIST is
'For those subscribers to this plan that were existing or prior customers at the time they committed to purchasing services under this plan, explain how the purchase commitment made under this plan compares to the customer''s previous purchase commitment.  For example, indicate what percentage of the previous purchase commitment, the new purchase commitment equals. [Highly Confidential][For IT, need medium length limit here.]';

comment on column SPADC.IIB12_ALL_TARIFFS.CUSTOMER_FAIL is
'Of those customers subscribed as of December 31, 2013, how many in 2012 failed to meet any Volume Commitment or Term Commitment required to retain a discount or Non-Rate Benefit they originally agreed to when entering into this plan? [Highly Confidential]';

/*==============================================================*/
/* Table: IIB13_ILEC_NON_TARIFF                                 */
/*==============================================================*/
create table SPADC.IIB13_ILEC_NON_TARIFF 
(
   UNIQUE_ID        INT                  not null
      constraint CKC_UNIQUE_ID_IIB13_IL check (UNIQUE_ID >= 0),
   AGREEMENT            VARCHAR2(100)        not null,
   PARTIES              VARCHAR2(500)        ,
   EFFECTIVE_DATE       DATE                 ,
   END_DATE             DATE,
   SUMMARY              VARCHAR2(2000),
   constraint PK_IIB13_ILEC_UNIQUE primary key (UNIQUE_ID)
);

comment on column SPADC.IIB13_ILEC_NON_TARIFF.UNIQUE_ID is
'Sequential number';

comment on column SPADC.IIB13_ILEC_NON_TARIFF.AGREEMENT is
'Name of non-tariffed agreement';

comment on column SPADC.IIB13_ILEC_NON_TARIFF.PARTIES is
'Parties to the agreement';

comment on column SPADC.IIB13_ILEC_NON_TARIFF.EFFECTIVE_DATE is
'The beginning date of the time period covered by the agreement';

comment on column SPADC.IIB13_ILEC_NON_TARIFF.END_DATE is
'The ending date of the time period covered by the agreement';

comment on column SPADC.IIB13_ILEC_NON_TARIFF.SUMMARY is
'Summary of relevant provisions';

/*==============================================================*/
/* Table: IIB1_ILEC_AFFILIATED_COM                              */
/*==============================================================*/
create table SPADC.IIB1_ILEC_AFFILIATED_COM 
(
   AFFILIATE_ID         INT                  not null,
   AFFILIATE_NAME       VARCHAR2(100)        not null,
   NAME_FRN        CHAR(10)             not null
      constraint CKC_NAME_FRN_IIB1_ILE check (LENGTH(TRIM(NAME_FRN)) = 10 AND TO_NUMBER(NAME_FRN) >=0),
   constraint PK_IIB1_ILEC_AFFILIATED_COM primary key (AFFILIATE_ID)
);

comment on column SPADC.IIB1_ILEC_AFFILIATED_COM.AFFILIATE_ID is
'Sequential number';

comment on column SPADC.IIB1_ILEC_AFFILIATED_COM.AFFILIATE_NAME is
'Name of entity with which you are affiliated';

comment on column SPADC.IIB1_ILEC_AFFILIATED_COM.NAME_FRN is
'Entity''s FCC Registration Number (with leading zeros)';

/*==============================================================*/
/* Table: IIB2_ILEC_LOCATION_CNT                                */
/*==============================================================*/
create table SPADC.IIB2_ILEC_LOCATION_CNT 
(
   YEAR            INT                  not null,
   LOCATIONS       INT                  not null
);

comment on column SPADC.IIB2_ILEC_LOCATION_CNT.YEAR is
'Indicator of the calendar year of the data';

comment on column SPADC.IIB2_ILEC_LOCATION_CNT.LOCATIONS is
'Total Locations served as of year_end';

/*==============================================================*/
/* Table: IIB3_ILEC_LOCATION_DATA                               */
/*==============================================================*/
create table SPADC.IIB3_ILEC_LOCATION_DATA 
(
   LOCATION_ID          INT                  not null,
   YEAR            INT,
   STREET_ADDRESS       VARCHAR2(100)        not null,
   CITY                 VARCHAR2(100)        not null,
   STATE                CHAR(2),
   ZIP                  VARCHAR2(5)          not null
      constraint CKC_ZIP_IIB3_ILE check (length(ZIP)= 5),
   ZIP4                 VARCHAR2(4)          
      constraint CKC_ZIP4_IIB3_ILE check (length(ZIP4) = 4),
   LATTITUDE             NUMBER(7,4)         
      constraint CKC_LATTITUDE_IIB3_ILE check (LATTITUDE is null or (LATTITUDE between 10.00000 and 71.00000)),
   LONGITUDE            NUMBER(7,4)         
      constraint CKC_LONGITUDE_IIB3_ILE check (LONGITUDE is null or (LONGITUDE between -180.00000 and 180.00000)),
   LOC_TYPE        INT                  not null
      constraint CKC_LOC_TYPE_IIB3_ILE check (LOC_TYPE in (1,2,3,4,5,6)),
   MEDIUM           CHAR(1)              not null
      constraint CKC_MEDIUM_IIB3_ILE check (MEDIUM in ('Y','N')),
   SOLD_BANDWIDTH_TOTAL NUMBER(15,3),
   SOLD_BANDWIDTH_UNE NUMBER(15,3)  ,
   SOLD_BANDWITH_ENDUSER NUMBER(15,3),
   SOLD_BANDWIDTH_TFW NUMBER(15,3),
   SOLD_BANDWIDTH_MOBILE NUMBER(15,3),
   constraint PK_IIB3_ILEC_LOCATION_DATA primary key (LOCATION_ID)
  );

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.LOCATION_ID is
'Sequential Location number';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.YEAR is
'Indicator of the calendar year of the data';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.STREET_ADDRESS is
'Actual situs for the Location (i.e., land were building or cell site is located)';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.CITY is
'City of the Location';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.STATE is
'Two-letter state postal abbreviation of the Location';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.ZIP is
'5-digit ZIP code (with leading zeros) of the Location';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.ZIP4 is
'4-digit add-on code (with leading zeros) of the Location';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.LATTITUDE is
'LATTITUDEitude to 5 decimal places';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.LONGITUDE is
'LONGITUDEitude to 5 decimal places';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.LOC_TYPE is
'The type of Location served is a 1=building; 2=other man-made structure; 3=cell site in or on a building; 4=free-standing cell site; 5=cell site in or on some other man-made structure, e.g., water tower; or 6=unknown.';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.MEDIUM is
'Are any of the Connections to this Location provided over fiber? (Y/N)';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.SOLD_BANDWIDTH_TOTAL is
'Total bandwidth (in Mbps) of Connections provided to the location as sold or used internally.';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.SOLD_BANDWIDTH_UNE is
'For those Connections sold as UNE-DS1s or UNE-DS3s, bandwidth (in Mbps) of the Connections as sold or used internally.';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.SOLD_BANDWITH_ENDUSER is
'Total bandwidth (in Mbps) of Connections provided to End Users at the Location as sold or used internally.';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.SOLD_BANDWIDTH_TFW is
'Total bandwidth (in Mbps) of Connections provided to the Location using terrestrial fixed wireless as sold or used internally.';

comment on column SPADC.IIB3_ILEC_LOCATION_DATA.SOLD_BANDWIDTH_MOBILE is
'Total bandwidth (in Mbps) of Connections to mobile wireless service sites at the Location as sold or used internally.';

/*==============================================================*/
/* Table: IIB4_ILEC_PRICE_CE_PART1                              */
/*==============================================================*/
create table SPADC.IIB4_ILEC_PRICE_CE_PART1 
(
   CLOSING_DATE         DATE                 not null,
   CUSTOMER_ID             INT                  not null
      constraint CKC_CUSTOMER_ID_IIB4_ILE check (CUSTOMER_ID >= 0),
   LOCATION_ID          INT,
   CIRCUIT_ID           VARCHAR2(50)         not null,
   CIRCUIT_TYPE         VARCHAR2(100)        not null
      constraint CKC_CIRCUIT_TYPE_IIB4_ILE check (CIRCUIT_TYPE in ('DS1','DS3','DS1-UNE','DS3-UNE','other CBDS','PBDS')),
   DSN_BANDWIDTH        NUMBER(15,3)         
      constraint CKC_DSN_BANDWIDTH_IIB4_ILE check (DSN_BANDWIDTH is null or (DSN_BANDWIDTH >= 0)),
   OTHERCBDS_BANDWIDTH  NUMBER(15,3)        
      constraint CKC_OTHERCBDS_BANDWID_IIB4_ILE check (OTHERCBDS_BANDWIDTH is null or (OTHERCBDS_BANDWIDTH >= 0)),
   PBDS_BANDWIDTH       NUMBER(15,3)        
      constraint CKC_PBDS_BANDWIDTH_IIB4_ILE check (PBDS_BANDWIDTH is null or (PBDS_BANDWIDTH >= 0)),
   MRP1                 VARCHAR2(10)         not null
      constraint CKC_MRP1_IIB4_ILE check (LENGTH(TRIM(TRANSLATE(MRP1, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789 ', ' '))) IS null),
   MRP2                 VARCHAR2(10)         not null
      constraint CKC_MRP2_IIB4_ILE check (LENGTH(TRIM(TRANSLATE(MRP2, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789 ', ' '))) IS null),
   MRP1_LAT             NUMBER(7,4)          not null
      constraint CKC_MRP1_LAT_IIB4_ILE check (MRP1_LAT =0 OR MRP1_LAT between 10.00000 and 71.00000),
   MRP1_LONG            NUMBER(7,4)          not null
      constraint CKC_MRP1_LONG_IIB4_ILE check (MRP1_LONG =0 OR MRP1_LONG between -180.00000 and 180.00000),
   MRP2_LAT             NUMBER(7,4)          not null
      constraint CKC_MRP2_LAT_IIB4_ILE check (MRP2_LAT =0 OR MRP2_LAT between 10.00000 and 71.00000),
   MRP2_LONG            NUMBER(7,4)          not null
      constraint CKC_MRP2_LONG_IIB4_ILE check (MRP2_LONG =0 OR MRP2_LONG between -180.00000 and 180.00000),
   MRP_TYPE             INT                  not null
      constraint CKC_MRP_TYPE_IIB4_ILE check (MRP_TYPE in (0,1,2)),
   Billing_Code  VARCHAR2(100)        not null,
   ZONE                 INT                 
      constraint CKC_ZONE_IIB4_ILE check (ZONE is null or (ZONE >= 0)),
   QUANTITY             NUMBER(15,2)         not null
      constraint CKC_QUANTITY_IIB4_ILE check (QUANTITY >= 0),
   INITIAL_NRC          NUMBER(15,2)         not null,
   UNIT_NRC             NUMBER(15,2)         not null,
   INITIAL_MRC          NUMBER(15,2)         not null,
   UNIT_MRC             NUMBER(15,2)         not null,
   BILLED               NUMBER(15,2),
   TOTAL_BILLED         NUMBER(15,2)         not null,
   TERM                 INT                 ,
   END_DATE             DATE,
   TERM_DISCOUNT_IC CHAR(1)             
      constraint CKC_TERM_DISCOUNT_IC__IIB4_ILE check (TERM_DISCOUNT_IC is null or (TERM_DISCOUNT_IC in ('1','0'))),
   VOLUME_COMMITMENT CHAR(1)             
      constraint CKC_VOLUME_COMMITMENT_IIB4_ILE check (VOLUME_COMMITMENT is null or (VOLUME_COMMITMENT in ('Y','N'))),
   VOL_DISCOUNT_IC  CHAR(1)             
      constraint CKC_VOL_DISCOUNT_IC_I_IIB4_ILE check (VOL_DISCOUNT_IC is null or (VOL_DISCOUNT_IC in ('1','0'))),
   OFFER            CHAR(1)             
      constraint CKC_OFFER_IND_IIB4_ILE check (OFFER is null or (OFFER in ('Y','N'))),
   ADJUSTMENT_ID_1      VARCHAR2(40),
   ADJUSTMENT_ID_2      VARCHAR2(40),
   ADJUSTMENT_ID_3      VARCHAR2(40),
   ADJUSTMENT_ID_4      VARCHAR2(40),
   ADJUSTMENT_ID_5      VARCHAR2(40),
   ADJUSTMENT_ID_6      VARCHAR2(40),
   ADJUSTMENT_ID_7      VARCHAR2(40),
   ADJUSTMENT_ID_8      VARCHAR2(40),
   ADJUSTMENT_ID_9      VARCHAR2(40),
   ADJUSTMENT_ID_10     VARCHAR2(40),
constraint CKC_IIB4_PART1 check(
    (CIRCUIT_TYPE IN ('DS1','DS3','DS1-UNE','DS3-UNE') AND NVL(dsn_Bandwidth,0)>0 and othercbds_bandwidth IS NULL and pbds_bandwidth IS NULL)
OR  (CIRCUIT_TYPE = 'other CBDS' AND NVL(othercbds_bandwidth,0)>0 and dsn_Bandwidth IS NULL and pbds_bandwidth IS NULL)
OR  (CIRCUIT_TYPE = 'PBDS' AND NVL(pbds_bandwidth,0)>0 and dsn_Bandwidth IS NULL and othercbds_bandwidth IS NULL)),
CONSTRAINT CKC_IIB4_PART1_TERM CHECK((TERM=1 AND END_DATE IS NULL) OR (TERM NOT IN(1,-99) AND END_DATE IS NOT NULL AND TERM_DISCOUNT_IC IS NOT NULL AND VOLUME_COMMITMENT IS NOT NULL AND VOL_DISCOUNT_IC IS NOT NULL) OR TERM=-99)
);


comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.CLOSING_DATE is
'Closing date of the monthly billing cycle in mm/dd/yyyy format';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.CUSTOMER_ID is
'Unique customer identifier used to link all circuits purchased by a customer over all geographies and time periods.  To be linked with customer names and identification numbers in Part 2 of this question';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.LOCATION_ID is
'Sequential location number from Question II.B.3.a. where applicable.  Required for circuit elements such as channel terminations that can be associated with a particular Location.';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.CIRCUIT_ID is
'Circuit identifier common to all circuit elements purchased in common for a particular circuit.';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.CIRCUIT_TYPE is
'Type of circuit (DS1, DS3, DS1-UNE, DS3-UNE, other CBDS (i.e., non-DSn), or PBDS.  Enter DS1 for packages of DS1s and DS3 for packages of DS3s).';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.DSN_BANDWIDTH is
'If a DS1, DS3, DS1-UNE, or DS3-UNE, indicate the number of DS1s or DS3s used.';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.OTHERCBDS_BANDWIDTH is
'If a CBDS circuit other than a DSn circuit, indicate the total bandwidth of the circuit (both up and down) in Mbps';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.PBDS_BANDWIDTH is
'If a PBDS circuit, indicate the bandwidth of the circuit in Mbps.';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.MRP1 is
'Serving wire center / mileage rating point CLLI for one end of the circuit';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.MRP2 is
'Serving wire center / mileage rating point CLLI for the other end of the circuit';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.MRP1_LAT is
'LATTITUDEitude of MRP1 to 5 decimal places';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.MRP1_LONG is
'LONGITUDEitude of MRP1 to 5 decimal places';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.MRP2_LAT is
'LATTITUDEitude of MRP2 to 5 decimal places';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.MRP2_LONG is
'LONGITUDEitude of MRP2 to 5 decimal places';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.MRP_TYPE is
'End of the circuit (1=MRP1 or 2=MRP2) associated with this circuit element.  Enter 0 if the circuit element cannot be attributed to either MRP or the circuit element can be attributed to both ends of the MRP.  All channel terminations should be attributed to one of the two MRPs';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.BILLING_CODE is
'Billing code (e.g., USOC) used to identify the billed circuit element.  (This variable will aslo appear in question II.B.6 and is used to link the billed circuit elements with their descriptions)';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.ZONE is
'Density pricing zone for the circuit element.  See 47 C.F.R. 69.123 (If not applicable, leave field blank)';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.QUANTITY is
'Number of billed units for this circuit element.  Do not enter the bandwidth of the circuit in this field.';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.INITIAL_NRC is
'Non-recurring $ charges billed for the first unit of this circuit element';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.UNIT_NRC is
'Non-recurring $ charges billed for additional units of this circuit element';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.INITIAL_MRC is
'Monthly recurring $ charge for the first unit billed';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.UNIT_MRC is
'Monthly recurring $ charge for additional units billed (if different from the amount billed for the initial unit)';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.TOTAL_BILLED is
'Total monthly $ amount billed for the circuit element including all "in-cycle" discounts and penalties.  For circuit elements with multiple billed units (i.e., quantity greater than one in II.B.4.o), enter the amount billed for a single unit';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.TERM is
'Length of total time of the Term Commitment associated with this circuit (in months).  List the total length of the current Term Commitment, not the remaining length of the Term Commitment.  A circuit purchased on a month-to-month basis should be coded as 1.';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.END_DATE is
'If this circuit has an associated Term Commitment, enter the month and year the term expires';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.TERM_DISCOUNT_IC is
'Indicator variable for whether any in-cycle term discounts have been rolled into the amount billed to the customer reported in the Billed field (0 = No in-cycle term discounts included in Billed amount; 1 = In-cycle term discounts included in Billed amount)';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.VOLUME_COMMITMENT is
'Indicator variable showing whether this circuit contributes to a Volume Commitment (1=Yes; 0=No)';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.VOL_DISCOUNT_IC is
'Indicator variable for whether any in-cycle volume discounts have been rolled into the amount billed to the customer reported in the Billed field  (0 = No in-cycle volume discounts included in Billed amount; 1 = In-cycle volume discounts included in Billed amount)';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.OFFER is
'Indicator variable showing whether this circuit was purchased out of a Contract-Based Tariff (1=Yes; 0=No)';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_1 is
'Unique ID number (from II.B.5.a) of the first billing adjustment/true-up affecting this circuit element.  Leave field blank if there are no discounts or penalties that occur during the monthly billing cycle affecting this circuit element';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_2 is
'Unique ID number (from II.B.5.a) of the second billing adjustment/true-up affecting this circuit element, if multiple adjustments were applied to this rate element.  Leave the field blank if there are fewer than two discounts applied to this circuit element in the given billing cycle';

comment on column SPADC.IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_3 is
'Add field as necessary to account for all billing adjustments to each circuit element in the billing cycle';


/*==============================================================*/
/* Table: IIB4_ILEC_PURC_ID_PART2                               */
/*==============================================================*/
create table SPADC.IIB4_ILEC_PURC_ID_PART2 
(
   CUSTOMER_ID             INT                  not null
      constraint CKC_BUYER_ID_IIB4_ILE_PART2 check (CUSTOMER_ID >= 0),
   CUSTOMER_ID_499         INT                 
      constraint CKC_BUYER_ID_499_IIB4_ILE check (CUSTOMER_ID_499 is null or (CUSTOMER_ID_499 between 100000 and 999999)),
   CUSTOMER_ID_ACNA        CHAR(3)             
      constraint CKC_BUYER_ID_ACNA_IIB4_ILE check (CUSTOMER_ID_ACNA is null or (REGEXP_LIKE(CUSTOMER_ID_ACNA, '[A-Za-z]'))),
   CUSTOMER_ID_OCN         CHAR(4)             
      constraint CKC_BUYER_ID_OCN_IIB4_ILE check (CUSTOMER_ID_OCN is null or (REGEXP_LIKE(CUSTOMER_ID_OCN, '[A-Za-z0-9]'))),
   CUSTOMER_NAME           VARCHAR2(50)         not null,
   PROVIDER         CHAR                 not null
      constraint CKC_PROVIDER_IIB4_ILE check (PROVIDER in ('1','0')),
   constraint PK_IIB4_ILEC_PURC_ID_PART2 primary key (CUSTOMER_ID)
);

comment on column SPADC.IIB4_ILEC_PURC_ID_PART2.CUSTOMER_ID is
'Unique customer identifier used to link all circuits purchased by a customer over all geographies and time periods.  This field will be used to link the billing information in Part 1 of this question with the customer names and identification numbers';

comment on column SPADC.IIB4_ILEC_PURC_ID_PART2.CUSTOMER_ID_499 is
'Where applicable, include the six-digit 499A Filer ID of the customer';

comment on column SPADC.IIB4_ILEC_PURC_ID_PART2.CUSTOMER_ID_ACNA is
'Where applicable, include the Access Customer Name Abbreviation (ACNA) of the customer';

comment on column SPADC.IIB4_ILEC_PURC_ID_PART2.CUSTOMER_ID_OCN is
'Where applicable, include the Operating Company Number (OCN) of the customer';

comment on column SPADC.IIB4_ILEC_PURC_ID_PART2.CUSTOMER_NAME is
'Enter the name of the customer';

comment on column SPADC.IIB4_ILEC_PURC_ID_PART2.PROVIDER is
'Indicator variable denoting whether the circuit is purchased by a Provider  (0 = non-Provider; 1 = Provider)';

/*==============================================================*/
/* Table: IIB5_ILEC_BILLING_ADJ                                 */
/*==============================================================*/
create table SPADC.IIB5_ILEC_BILLING_ADJ 
(
   ADJUSTMENT_ID        VARCHAR2(40)         not null
      constraint CKC_ADJUSTMENT_ID_IIB5_ILE check (LENGTH(ADJUSTMENT_ID) > 0),
   CONTRACT_ID          INT                 
      constraint CKC_CONTRACT_ID_IIB5_ILE check (CONTRACT_ID is null or (CONTRACT_ID >= 0)),
   DATE_FROM            DATE                 not null,
   DATE_TO              DATE                 not null,
   ADJUSTMENT_SCOPE     INT                  not null
      constraint CKC_ADJUSTMENT_SCOPE_IIB5_ILE check (ADJUSTMENT_SCOPE in (1,2,3,4)),
   ADJUSTMENT       NUMBER(15,2)         not null,
   ADJ_TERM         CHAR(1)              
      constraint CKC_ADJ_TERM_IND_IIB5_ILE check (ADJ_TERM IS NULL OR ADJ_TERM in ('Y','N')),
   ADJ_TERM_LENGTH  INT,
   ADJ_VOL          CHAR(1)             
      constraint CKC_ADJ_VOL_IIB5_ILE check (ADJ_VOL IS NULL OR ADJ_VOL in ('Y','N')),
   ADJ_VOL_CIRC         INT                 ,
   ADJ_VOL_REV          NUMBER(15,2)        ,
   ADJUSTMENT_OTHER     VARCHAR2(500)   ,    
    constraint PK_IIB5_ILEC_BILLING_ADJ primary key (ADJUSTMENT_ID),
   constraint CKT_IIB5_ILEC_BILLING_ADJ check (((((ADJ_VOL = 'N' OR NVL(ADJ_VOL_CIRC,0) > 0 ) AND ADJ_VOL_REV IS NULL) OR NOT (ADJ_VOL = 'N' OR NVL(ADJ_VOL_CIRC,0) > 0 ) )))
);

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.ADJUSTMENT_ID is
'Unique ID number for the billing adjustment or true-up';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.CONTRACT_ID is
'Unique ID number for the contract or Tariff from which the adjustment originates.  Leave the field blank if the adjustment cannot be linked back to a single contract';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.DATE_FROM is
'Beginning date of adjustment period (or true-up) in mm/dd/yyyy format';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.DATE_TO is
'Ending date of adjustment period (or true-up) in mm/dd/yyyy format';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.ADJUSTMENT_SCOPE is
'Code indicating scope of adjustment.  Enter 1 if adjustment applies to single circuit element for single circuit, enter 2 if adjustment applies to more than one circuit element on a single circuit, enter 3 if adjustment applies to one or more circuit elements across multiple circuits, enter 4 if the adjustment is an overall adjustment that applies to every circuit purchased.';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.ADJUSTMENT is
'Total dollar amount of billing adjustment (or true-up) for all circuit elements across all circuits covered by the adjustment.  Any increase in the amount owed to the vendor (e.g., penalty) should be a positive number while any decrease in the amount owed to the vendor (e.g., discount or rebate) should be a negative number.';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.ADJ_TERM is
'Indicator variable denoting whether the adjustment/true-up was due to a Term Commitment (0=No, 1=Yes)';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.ADJ_TERM_LENGTH is
'If Adj_Term=1, enter the term length in months. If Adj_Term=0, leave blank';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.ADJ_VOL is
'Indicator variable denoting whether the adjustment/true-up was due to a Volume Commitment (0=No, 1=Yes)';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.ADJ_VOL_CIRC is
'If Adj_Vol=1, and the contract required the purchase of a certain number of circuits, enter the number of circuits specified in the contract which are necessary to qualify for the adjustment.  If Adj_Vol=0, or the adjustment corresponds to a commitment to a given level of expenditures/spend, leave blank';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.ADJ_VOL_REV is
'If Adj_Vol=1, and the contract required the purchase of a certain dollar amount of expenditures/spend, enter the dollar value of the expenditure requirement.  If Adj_Vol=0 or the adjustment corresponds to a commitment to purchase a certain number of circuits, leave the field blank';

comment on column SPADC.IIB5_ILEC_BILLING_ADJ.ADJUSTMENT_OTHER is
'If the adjustment/true-up is for some other reason, give a brief description of the reason for the adjustment';

/*==============================================================*/
/* Table: IIB6_ILEC_BILLING_DESC                                */
/*==============================================================*/
create table SPADC.IIB6_ILEC_BILLING_DESC 
(
BILLING_CODE         VARCHAR2(100)        not null,   
/*BILLING_CODE         CHAR(15)             not null
      constraint CKC_BILLING_CODE_IIB6_ILE check (LENGTH(TRIM(TRANSLATE(BILLING_CODE, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789 ', ' '))) IS null),*/
   BILLING_CODE_DESCRIPTION  VARCHAR2(500),
   BILLING_CODE_DESC_OTHER   VARCHAR2(500),
   constraint CKT_IIB6_ILEC_BILLING_DESC check ((BILLING_CODE_DESCRIPTION IS NOT NULL OR BILLING_CODE_DESC_OTHER IS NOT NULL))
);

comment on column SPADC.IIB6_ILEC_BILLING_DESC.BILLING_CODE is
'Billing code (e.g., USOC) used to identify the billed circuit element.  (This variable will aslo appear in Question II.B.4 and will be used to link the billed circuit elements with their descriptions)';

comment on column SPADC.IIB6_ILEC_BILLING_DESC.BILLING_CODE_DESCRIPTION is
'Brief description of circuit element';

comment on column SPADC.IIB6_ILEC_BILLING_DESC.BILLING_CODE_DESC_OTHER is
'The description of the circuit element as it appears on the customer''s bill.';

/*==============================================================*/
/* Table: IIB7_ILEC_COLOC_WIRE                                  */
/*==============================================================*/
create table SPADC.IIB7_ILEC_COLOC_WIRE 
(
   YEAR                 CHAR(4),
   CLLI                 CHAR(8)              not null
      constraint CKC_CLLI_IIB7_ILE check (LENGTH(TRIM(TRANSLATE(CLLI, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789 ', ' '))) IS null),
   STREET_ADDRESS       VARCHAR2(100)        not null,
   CITY                 VARCHAR2(100)        not null,
   STATE                VARCHAR2(2)          not null,
   ZIP                  VARCHAR2(5)          not null
      constraint CKC_ZIP_IIB7_ILE check (length(ZIP) = 5),
   ZIP4                 VARCHAR2(4)          
      constraint CKC_ZIP4_IIB7_ILE check (length(ZIP4) = 4),
   LATTITUDE             NUMBER(7,4)          not null,
   LONGITUDE            NUMBER(7,4)          not null
      constraint CKC_LONGITUDE_IIB7_ILE check (LONGITUDE between -180.00000 and 180.00000),
   PRICEFLEX           CHAR(1)              not null
      constraint CKC_PRICEFLEX_IIB7_ILE check (PRICEFLEX in ('Y','N')),
   PRICEFLEX_LEVEL1_TERM     CHAR(1)             
      constraint CKC_PRICEFLEX_LEV1T_IIB7_ILE check (PRICEFLEX_LEVEL1_TERM IS NULL OR PRICEFLEX_LEVEL1_TERM in ('Y','N')),
   PRICEFLEX_LEVEL2_TERM     CHAR(1)        
      constraint CKC_PRICEFLEX_LEV2T_IIB7_ILE check (PRICEFLEX_LEVEL2_TERM IS NULL OR PRICEFLEX_LEVEL2_TERM in ('Y','N')),
   PRICEFLEX_LEVEL1_OTHER     CHAR(1)             
      constraint CKC_PRICEFLEX_LEV1O_IIB7_ILE check (PRICEFLEX_LEVEL1_OTHER IS NULL OR PRICEFLEX_LEVEL1_OTHER in ('Y','N')),
   PRICEFLEX_LEVEL2_OTHER     CHAR(1)            
      constraint CKC_PRICEFLEX_LEV2O_IIB7_ILE check (PRICEFLEX_LEVEL2_OTHER IS NULL OR PRICEFLEX_LEVEL2_OTHER in ('Y','N')),
   MSA_GRANT            CHAR(1)              
      constraint CKC_MSA_GRANT_IIB7_ILE check (MSA_GRANT IS NULL OR MSA_GRANT in ('Y','N')),
   MSA_ID               SMALLINT ,            
   CONSTRAINT CKC_PRICEFLEX_CHECK check((PRICEFLEX ='Y' AND PRICEFLEX_LEVEL1_TERM IS NOT NULL AND PRICEFLEX_LEVEL2_TERM IS NOT NULL AND PRICEFLEX_LEVEL1_OTHER IS NOT NULL and PRICEFLEX_LEVEL2_OTHER IS NOT NULL AND MSA_GRANT IS NOT NULL AND MSA_ID IS NOT NULL) OR PRICEFLEX ='N')
);

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.YEAR is
'Relevant Year reported (either 2010 or 2012)';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.CLLI is
'Telcordia_specified eight_character CLLI';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.STREET_ADDRESS is
'Actual situs (i.e., land were building is located) address of the collocation site';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.CITY is
'City of address';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.STATE is
'Two_letter state postal abbreviation of address';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.ZIP is
'5_digit ZIP code (with leading zeros) of address';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.ZIP4 is
'4_digit add_on code (with leading zeros) of address';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.LATTITUDE is
'LATTITUDEitude to 5 decimal places';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.LONGITUDE is
'LONGITUDEitude to 5 decimal places';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.PRICEFLEX is
'Did you have pricing flexibility in the geographic area where this wire center is located during the relevant Year? (Y=Yes; N=No)';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.PRICEFLEX_LEVEL1_TERM is
'If you had pricing flexibility in the area where this wire center is located during the relevant Year, did you have Phase I pricing flexibility per 47 C.F.R.  69.711(b)? (Y=Yes; N=No)';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.PRICEFLEX_LEVEL2_TERM is
'If you had pricing flexibility in the area where this wire center is located during the relevant Year, did you have Phase II pricing flexibility per 47 C.F.R.  69.711(c)? (Y=Yes; N=No)';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.PRICEFLEX_LEVEL1_OTHER is
'If you had pricing flexibility in the area where this wire center is located during the relevant Year, did you have Phase I pricing flexibility per 47 C.F.R.  69.709(b)? (Y=Yes; N=No)';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.PRICEFLEX_LEVEL2_OTHER is
'If you had pricing flexibility in the area where this wire center is located during the relevant Year, did you have Phase II pricing flexibility per 47 C.F.R.  69.709(c)? (Y=Yes; N=No)';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.MSA_GRANT is
'If you had pricing flexibility in the geographic area where this wire center is located during the relevant Year, was the pricing flexibility awarded for an MSA?  (Y=Yes; N=No)';

comment on column SPADC.IIB7_ILEC_COLOC_WIRE.MSA_ID is
'If you had pricing flexibility in the geographic area where this wire center is located during the relevant Year and that pricing flexibility was awarded on an MSA basis, then identify the MSA.  (enter a number between 1 and 306).';


/*==============================================================*/
/* Table: IIB8_SALES_REV_CBDS                                   */
/*==============================================================*/
create table SPADC.IIB8_SALES_REV_CBDS 
(
   REVENUE              NUMBER(15,2)         not null
      constraint CKC_REVENUE_IIB8_SAL check (REVENUE >= 0),
   SERVICE_TYPE            VARCHAR2(5)          not null
      constraint CKC_SERVICE_TYPE_IIB8_SAL check (SERVICE_TYPE in ('DS1','DS3','Other')),
   CUSTOMER_TYPE         CHAR                 not null
      constraint CKC_CUSTOMER_TYPE_IIB8_SAL check (CUSTOMER_TYPE in ('1','0')),
   YEAR             INTEGER              not null
);

comment on table SPADC.IIB8_SALES_REV_CBDS is
'Question II.B.8:  Sales Revenues for CBDS';

comment on column SPADC.IIB8_SALES_REV_CBDS.REVENUE is
'Enter the dollar amount for the Revenues';

comment on column SPADC.IIB8_SALES_REV_CBDS.SERVICE_TYPE is
'Indicate the service type category for which the Revenues are reported.  Enter "DS1" for DS1 Revenues, enter "DS3" for DS3 Revenues, and enter "Other" for other CBDS Revenues';

comment on column SPADC.IIB8_SALES_REV_CBDS.CUSTOMER_TYPE is
'Enter Y if the reported revenues are for Providers, and enter N if the reported revenues are for End Users';

comment on column SPADC.IIB8_SALES_REV_CBDS.YEAR is
'Enter "2010" if the reported Revenues are for the year 2010, and enter "2012" if the reported Revenues are for the year 2012';

/*==============================================================*/
/* Table: IIB9_SALES_REV_PBDS                                   */
/*==============================================================*/
create table SPADC.IIB9_SALES_REV_PBDS 
(
   REVENUE              NUMBER(15,2)         not null
      constraint CKC_REVENUE_IIB9_SAL check (REVENUE >= 0),
   BANDWIDTH            VARCHAR2(2)                 not null
      constraint CKC_BANDWIDTH_IIB9_SAL check (BANDWIDTH in ('A','B','C','D','E','NA')),
   CUSTOMER_TYPE         CHAR                 not null
      constraint CKC_CUSTOMER_TYPE_IIB9_SAL check (CUSTOMER_TYPE in ('0','1')),
   YEAR             INTEGER              not null
);

comment on table SPADC.IIB9_SALES_REV_PBDS is
'Question II.B.9:  Sales Revenues for PBDS';

comment on column SPADC.IIB9_SALES_REV_PBDS.REVENUE is
'Enter the dollar amount for the Revenues';

comment on column SPADC.IIB9_SALES_REV_PBDS.BANDWIDTH is
'Indicate the bandwidth category for which the Revenues are reported.  Enter "A" for bandwidth less than or equal to 1.5 Mbps, enter "B" for bandwidth greater than 1.5 Mbps but less than or equal to 50 Mbps, enter "C" for bandwidth greater than 50 Mbps but less than or equal to 100 Mbps, enter "D" for bandwidth greater than 100 Mbps but less than or equal to 1 Gbps, and enter "E" for bandwidth greater than 1 Gbps';

comment on column SPADC.IIB9_SALES_REV_PBDS.CUSTOMER_TYPE is
'Enter 1 if the reported revenues are for Providers, and enter 0 if the reported revenues are for End Users';

comment on column SPADC.IIB9_SALES_REV_PBDS.YEAR is
'Enter "2010" if the reported Revenues are for the year 2010, and enter "2012" if the reported Revenues are for the year 2012';

/*==============================================================*/
/* Table: IIC1_CB_PRICE_LIST                                    */
/*==============================================================*/
/*create table SPADC.IIC1_CB_PRICE_LIST 
--(
--   CB_PL_YEAR           INTEGER              not null,
--   STATEABBR            CHAR(2)              not null,
--   CENSUS_BLOCK         CHAR(15)             not null
--      constraint CKC_CENSUS_BLOCK_IIC1_CB_ check (LENGTH(TRIM(TRANSLATE(CENSUS_BLOCK, '0123456789 ', ' '))) IS null
--and LENGTH(TRIM(CENSUS_BLOCK)) = 15),
--   MAX_ADD_DOWN         INTEGER              not null
--      constraint CKC_MAX_ADD_DOWN_IIC1_CB_ check (MAX_ADD_DOWN between 2 and 9),
--   MAX_ADD_UP           INTEGER              not null
--      constraint CKC_MAX_ADD_UP_IIC1_CB_ check (MAX_ADD_UP between 1 and 9),
--   PRICE                NUMBER(15,2)         not null
--);

--comment on column SPADC.IIC1_CB_PRICE_LIST.CB_PL_YEAR is
--'Year:  2010 or 2012';

--comment on column SPADC.IIC1_CB_PRICE_LIST.STATEABBR is
--'Abbreviation for State where census block located';

--comment on column SPADC.IIC1_CB_PRICE_LIST.CENSUS_BLOCK is
--'As defined by US Census Bureau; 15 digit FIPS code [Highly Confidential]';

--comment on column SPADC.IIC1_CB_PRICE_LIST.MAX_ADD_DOWN is
--'Maximum advertised download speed in Mbps';

--comment on column SPADC.IIC1_CB_PRICE_LIST.MAX_ADD_UP is
--'Maximum advertised upload speed in Mbps';

--comment on column SPADC.IIC1_CB_PRICE_LIST.PRICE is
--'Price(s) offered.  [Highly Confidential]';*/

/*==============================================================*/
/* Table: IIE14_TARIFFS_PURC_SRVC                               */
/*==============================================================*/
create table SPADC.IIE14_TARIFFS_PURC_SRVC 
(
   TAR_PLAN         CHAR                
      constraint CKC_TAR_PLAN_IIE14_TA check (TAR_PLAN is null or (TAR_PLAN in ('Y','N'))),
   TARIFF_NAME          VARCHAR2(100),
   TP_PROVIDER          VARCHAR2(100),
   TP_TARIFF_NUMBER     VARCHAR2(500),
   CBT_PLAN        CHAR                
      constraint CKC_CBT_PLAN_IIE14_TA check (CBT_PLAN is null or (CBT_PLAN in ('Y','N'))),
   CBT_NAME             VARCHAR2(100),
   CBT_PROVIDER         VARCHAR2(100),
   CBT_TARIFF_NUMBER    VARCHAR2(100),
   TARRIFF_TYPE     VARCHAR2(10)                
      constraint CKC_TARRIFF_TYPE_IIE14_TA check (TARRIFF_TYPE is null or (TARRIFF_TYPE in ('Inter','Intra'))),
   CONTAINS_TERM    CHAR                
      constraint CKC_CONTAINS_TERM_IIE14_TA check (CONTAINS_TERM is null or (CONTAINS_TERM in ('Y','N'))),
   CONTAINS_VOL     CHAR                
      constraint CKC_CONTAINS_VOL_IIE14_TA check (CONTAINS_VOL is null or (CONTAINS_VOL in ('Y','N'))),
   CONTAINS_NONR     CHAR                
      constraint CKC_CONTAINS_NONR_IIE14_TA check (CONTAINS_NONR is null or (CONTAINS_NONR in ('Y','N'))),
   NONRATE              VARCHAR2(2000),
   TARIFF_DS1       CHAR                
      constraint CKC_TARIFF_DS1_IIE14_TA check (TARIFF_DS1 is null or (TARIFF_DS1 in ('Y','N'))),
   TARIFF_DS3       CHAR                
      constraint CKC_TARIFF_DS3_IIE14_TA check (TARIFF_DS3 is null or (TARIFF_DS3 in ('Y','N'))),
   TARIFF_PBDS      CHAR                
      constraint CKC_TARIFF_PBDS_IND_IIE14_TA check (TARIFF_PBDS is null or (TARIFF_PBDS in ('Y','N'))),
   TARIFF_OTHER     CHAR                
      constraint CKC_TARIFF_OTHER_IIE14_TA check (TARIFF_OTHER is null or (TARIFF_OTHER in ('Y','N'))),
   GEO_DS1              VARCHAR2(100),
   GEO_DS3              VARCHAR2(100),
   GEO_PBDS             VARCHAR2(100),
   GEO_OTHER            VARCHAR2(100),
   PRIOR_P          CHAR                
      constraint CKC_PRIOR_P_IIE14_TA check (PRIOR_P is null or (PRIOR_P in ('Y','N'))),
   OUTSIDE_AREA     VARCHAR2(2)         
      constraint CKC_OUTSIDE_AREA_IIE14_TA check (OUTSIDE_AREA is null or (OUTSIDE_AREA in ('Y','N','NA'))),
   OUTSIDE_AREA_YES     VARCHAR2(500),
   OUTSIDE_AREA_YES_DIFF VARCHAR2(500),
   OUTSIDE_AREA_YES_PROVIDER VARCHAR2(500),
   ILEC_PRICE_CAP   VARCHAR2(2)         
      constraint CKC_ILEC_PRICE_CAP_IN_IIE14_TA check (ILEC_PRICE_CAP is null or (ILEC_PRICE_CAP in ('Y','N','NA'))),
   ILEC_PRICE_CAP_VOL   VARCHAR2(2000),
   ILEC_PRICE_FLEX1 VARCHAR2(2)         
      constraint CKC_ILEC_PRICE_FLEX1__IIE14_TA check (ILEC_PRICE_FLEX1 is null or (ILEC_PRICE_FLEX1 in ('Y','N','NA'))),
   ILEC_PRICE_FLEX1_VOL VARCHAR2(2000),
   ILEC_PRICE_FLEX1_DIFF VARCHAR2(2000),
   ILEC_PRICE_FLEX1_PROVIDER VARCHAR2(500),
   ILEC_PRICE_FLEX2 VARCHAR2(2)         
      constraint CKC_ILEC_PRICE_FLEX2__IIE14_TA check (ILEC_PRICE_FLEX2 is null or (ILEC_PRICE_FLEX2 in ('Y','N','NA'))),
   ILEC_PRICE_FLEX2_VOL VARCHAR2(2000),
   ILEC_PRICE_FLEX2_DIFF VARCHAR2(2000),
   ILEC_PRICE_FLEX2_PROVIDER VARCHAR2(2000),
   ILEC_PBDS        VARCHAR2(2)         
      constraint CKC_ILEC_PBDS_IND_IIE14_TA check (ILEC_PBDS is null or (ILEC_PBDS in ('Y','N','NA'))),
   ILEC_PBDS_VOL        VARCHAR2(2000),
   ILEC_PBDS_DIFF       VARCHAR2(2000),
   ILEC_PBDS_PROVIDER   VARCHAR2(2000),
   ILEC_OTHER       VARCHAR2(2)         
      constraint CKC_ILEC_OTHER_IND_IIE14_TA check (ILEC_OTHER is null or (ILEC_OTHER in ('Y','N','NA'))),
   ILEC_OTHER_SERVICE   VARCHAR2(2000),
   ILEC_OTHER_GEO       VARCHAR2(2000),
   ILEC_OTHER_DIFF      VARCHAR2(2000),
   ILEC_OTHER_PROVIDER  VARCHAR2(500),
   LIMITING_PURCHASE    VARCHAR2(2000)
);

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.TAR_PLAN is
'Plan is a Tariff Plan (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.TARIFF_NAME is
'Name of Tariff Plan [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.TP_PROVIDER is
'The Tariff Plan Provider name [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.TP_TARIFF_NUMBER is
'The Tariff Plan Name and Section Number [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.CBT_PLAN is
'Plan is a Contract-Based Tariff (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.CBT_NAME is
'Name of Contract-Based Tariff plan [Highly Confidential]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.CBT_PROVIDER is
'The Contract-Based Tariff Provider name [Highly Confidential]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.CBT_TARIFF_NUMBER is
'The Contract-Based Tariff Name and Section Number [Highly Confidential]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.TARRIFF_TYPE is
'Y=interstate,N=Intrastate [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.CONTAINS_TERM is
'Contains Term Commitments (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.CONTAINS_VOL is
'Contains Volume Commitments (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.CONTAINS_NONR is
'Contains Non-Rate Benefits (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.NONRATE is
'If the plan contains Non-Rate Benefits, identify the Non-Rate Benefits that were relevant to your decision to purchase services under this plan. [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.TARIFF_DS1 is
'Does this plan apply to the purchase of DS1s? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.TARIFF_DS3 is
'Does this plan apply to the purchase of DS3s? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.TARIFF_PBDS is
'Does this plan apply to the purchase of PBDS? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.TARIFF_OTHER is
'Does this plan apply to the purchase of other services? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.GEO_DS1 is
'In what geographic areas do you purchase DS1s under this plan?  [Highly Confidential][For IT, we would like to have a drop down menu here for the selection of nationwide, states, or MSAs -allow for multiple selections.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.GEO_DS3 is
'In what geographic areas do you purchase DS3s under this plan?  [Highly Confidential][For IT, we would like to have a drop down menu here for the selection of nationwide, states, or MSAs -allow for multiple selections.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.GEO_PBDS is
'In what geographic areas do you purchase PBDS under this plan?  [Highly Confidential][For IT, we would like to have a drop down menu here for the selection of nationwide, states, or MSA -allow for multiple selections s.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.GEO_OTHER is
'In what geographic areas do you purchase other services under this plan?  [Highly Confidential][For IT, we would like to have a drop down menu here for the selection of nationwide, states, or MSAs -allow for multiple selections.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.PRIOR_P is
'To receive a discount or Non-Rate Benefit under this plan, does your company make a Prior Purchase-Based Commitment? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.OUTSIDE_AREA is
'If this is an ILEC plan, do DS1 or DS3 purchases your company makes outside the study area(s) of the ILEC count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.OUTSIDE_AREA_YES is
'If yes, in what geographic areas outside the study area(s) of the ILEC, do you purchase these DS1s and/or DS3s? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.OUTSIDE_AREA_YES_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased from a different Provider, if at all, had it not been for the discounts or Non-Rate Benefits received under this plan?  In your response, indicate whether the Provider that you would have purchased from has Connections serving that geographic area. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.OUTSIDE_AREA_YES_PROVIDER is
'Name of Provider(s) in the geographic area identified above you would have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_CAP is
'If this is an ILEC plan, do DS1 and/or DS3 purchases your company makes from the ILEC in price cap areas where the Commission has not granted the ILEC pricing flexibility count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_CAP_VOL is
'If Yes, then identify the price cap areas where you purchase DS1s and/or DS3s that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX1 is
'If this is an ILEC plan, do DS1 and/or DS3 purchases your company makes from the ILEC in areas where the Commission has granted the ILEC either Phase I or Phase II Pricing Flexibility count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX1_VOL is
'If Yes, in what geographic areas subject to pricing flexibility do you purchase DS1s and/or DS3s that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX1_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased from a different Provider, if at all, had it not been for the discouints or Non-Rate Benefits received under this plan? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX1_PROVIDER is
'Name of Provider(s) in the geographic areas identified above you would have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.  [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX2 is
'If this is an ILEC plan, do DS1 and/or DS3 purchases your company makes from the ILEC in areas where the Commission has granted the ILEC Phase II Pricing Flexibility count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX2_VOL is
'If Yes, in what geographic areas subject to pricing flexibility do you purchase DS1s and/or DS3s that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX2_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased from a different Provider, if at all, had it not been for the discouints or Non-Rate Benefits received under this plan? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX2_PROVIDER is
'Name of Provider(s) in the geographic areas identified above you w3ould have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.  [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PBDS is
'If an ILEC plan, do non-tariffed PBDS purchases you make from this ILEC count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PBDS_VOL is
'If Yes, in what geographic areas do you purchase non-tariffed PBDS that counts towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PBDS_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased PBDS from a different Provider, if at all, had it not been for the requirements of the plan?  In your response, indicate whether the Provider that you would have purchased from has Connections serving that geographic area. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_PBDS_PROVIDER is
'Name of Provider(s) in the geographic areas identified above you w3ould have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.  [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_OTHER is
'If this is an ILEC plan, do purchases you make for services other than DS1s, DS3s, and PBDS from this ILEC count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_OTHER_SERVICE is
'If Yes, identify the other services purchased that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_OTHER_GEO is
'If Yes, identify the geographic areas where you purchase these other services that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_OTHER_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased those other services from a different Provider, had it not been for the requirements of the plan?  In your response, indicate whether the Provider that you would have purchased from has Connections serving that geographic area. [Highly Confidential]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.ILEC_OTHER_PROVIDER is
'Name of Provider(s) in the geographic areas identified above you w3ould have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.  [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIE14_TARIFFS_PURC_SRVC.LIMITING_PURCHASE is
'Is the discount or Non-Rate Benefit available under this plan conditioned on the customer limiting its purchase of UNEs, e.g., the customer must keep its purchase of UNEs below a certain percentage of the customer''s total spend?  If yes, then provide additional details about the condition. [Public][For IT, medium text limit here.]';

/*==============================================================*/
/* Table: IIE15_MW_NON_TARIFF                                   */
/*==============================================================*/
create table SPADC.IIE15_MW_NON_TARIFF 
(
   UNIQUE_ID        INT                  not null
      constraint CKC_NON_TARIFF_ID_IIE15_MW check (UNIQUE_ID >= 0),
   AGREEMENT            VARCHAR2(100)        not null,
   PARTIES              VARCHAR2(500)        ,
   EFFECTIVE_DATE           DATE             ,
   END_DATE             DATE                 ,
   SUMMARY              VARCHAR2(2000)       ,
   constraint PK_IIE15_MW_NON_TARIFF primary key (UNIQUE_ID)
  );

comment on column SPADC.IIE15_MW_NON_TARIFF.UNIQUE_ID is
'Sequential number';

comment on column SPADC.IIE15_MW_NON_TARIFF.AGREEMENT is
'Name of non-tariffed agreement';

comment on column SPADC.IIE15_MW_NON_TARIFF.PARTIES is
'Parties to the agreement';

comment on column SPADC.IIE15_MW_NON_TARIFF.EFFECTIVE_DATE is
'The beginning date of the time period covered by the agreement';

comment on column SPADC.IIE15_MW_NON_TARIFF.END_DATE is
'The ending date of the time period covered by the agreement';

comment on column SPADC.IIE15_MW_NON_TARIFF.SUMMARY is
'Summary of relevant provisions';

/*==============================================================*/
/* Table: IIE1_MW_SITES_CNT                                     */
/*==============================================================*/
create table SPADC.IIE1_MW_SITES_CNT 
(
   PROVIDER_NAME        VARCHAR2(100)        not null,
   TOTAL_NUMBER       INT                  not null
);

comment on column SPADC.IIE1_MW_SITES_CNT.PROVIDER_NAME is
'Name of mobile wireless service provider';

comment on column SPADC.IIE1_MW_SITES_CNT.TOTAL_NUMBER is
'Total number of cell sites on network';

/*==============================================================*/
/* Table: IIE2_MW_LOCATION_DATA                                 */
/*==============================================================*/
create table SPADC.IIE2_MW_LOCATION_DATA 
(
   LOCATION_ID          INT                  not null,
   YEAR            INT                  not null,
   STREET_ADDRESS       VARCHAR2(100),
   OTHER_ADDRESS        VARCHAR2(100),
   CITY                 VARCHAR2(100)        not null,
   STATE                VARCHAR2(2)          not null,
   ZIP                  VARCHAR2(5)          not null
      constraint CKC_ZIP_IIE2_MW_ check (length(ZIP) =5),
   ZIP4                 VARCHAR2(4)          
      constraint CKC_ZIP4_IIE2_MW_ check (length(ZIP4) = 4),
   LATTITUDE             NUMBER(7,4)          not null,
   LONGITUDE            NUMBER(7,4)          not null
      constraint CKC_LONGITUDEITUDE_IIE2_MW_ check (LONGITUDE between -180.00000 and 180.00000),
   CLLI                 CHAR(8)             
      constraint CKC_CLLI_IIE2_MW_ check (LENGTH(TRIM(CLLI)) = 8 OR CLLI IS NULL and REGEXP_LIKE(CLLI, '[A-Za-z0-9]')),
   LOC_TYPE        INT                  not null
      constraint CKC_LOC_TYPE_IIE2_MW_ check (LOC_TYPE in (1,2,3)),
   CBDS_BANDWIDTH       NUMBER(15,3),
   PBDS_BANDWIDTH       NUMBER(15,3),
   FW_BANDWIDTH         NUMBER(15,3),
   PROVIDER        VARCHAR2(500),
   SELF_PROV_BW         NUMBER(15,3),
   constraint PK_IIE2_MW_LOCATION_DATA primary key (LOCATION_ID),
   constraint CKT_IIE2_MW_LOCATION_DATA check ((STREET_ADDRESS IS NOT NULL OR OTHER_ADDRESS IS NOT NULL))
);

comment on column SPADC.IIE2_MW_LOCATION_DATA.LOCATION_ID is
'Sequential location number';

comment on column SPADC.IIE2_MW_LOCATION_DATA.YEAR is
'Indicator of the calendar year of the data';

comment on column SPADC.IIE2_MW_LOCATION_DATA.STREET_ADDRESS is
'Actual situs for the cell site (i.e., land were cell site is located) if the cell site is located in or on a building';

comment on column SPADC.IIE2_MW_LOCATION_DATA.OTHER_ADDRESS is
'If cell site does not have a street address, provide description of location';

comment on column SPADC.IIE2_MW_LOCATION_DATA.CITY is
'City of the cell site';

comment on column SPADC.IIE2_MW_LOCATION_DATA.STATE is
'Two-letter state postal abbreviation of the cell site';

comment on column SPADC.IIE2_MW_LOCATION_DATA.ZIP is
'5-digit ZIP code (with leading zeros) of the cell site';

comment on column SPADC.IIE2_MW_LOCATION_DATA.ZIP4 is
'4-digit add-on code (with leading zeros) of the cell site';

comment on column SPADC.IIE2_MW_LOCATION_DATA.LATTITUDE is
'LATTITUDEitude to 5 decimal places';

comment on column SPADC.IIE2_MW_LOCATION_DATA.LONGITUDE is
'LONGITUDEitude to 5 decimal places';

comment on column SPADC.IIE2_MW_LOCATION_DATA.CLLI is
'Telcordia-specified eight-character CLLI of the ILEC wire center of the cell site';

comment on column SPADC.IIE2_MW_LOCATION_DATA.LOC_TYPE is
'Indicate whether cell site is 1=in or on a building; 2=in or on other man-made structure, e.g., water tower; 3=a free-standing cell site';

comment on column SPADC.IIE2_MW_LOCATION_DATA.CBDS_BANDWIDTH is
'If the cell site is served by a CBDS, indicate the equivalent number of DS1s used.';

comment on column SPADC.IIE2_MW_LOCATION_DATA.PBDS_BANDWIDTH is
'If the cell site is served by a PBDS, indicate the bandwidth of the circuit to the nearest Mbps.';

comment on column SPADC.IIE2_MW_LOCATION_DATA.FW_BANDWIDTH is
'If the cell site is served by a wireless Connection, indicate the bandwidth of the circuit to the nearest Mbps.';

comment on column SPADC.IIE2_MW_LOCATION_DATA.PROVIDER is
'The name of the company that provide a Connection to the cell site.';

comment on column SPADC.IIE2_MW_LOCATION_DATA.SELF_PROV_BW is
'If you self-provide a Connection to the cell site, indicate the provisioned bandwidth of the circuit to the nearest Mbps.';

/*==============================================================*/
/* Table: IIE3_TOT_EXP_DS                                       */
/*==============================================================*/
create table SPADC.IIE3_TOT_EXP_DS 
(
   EXPENDITURES         NUMBER(15,2)         not null
      constraint CKC_EXPENDITURES_IIE3_TOT check (EXPENDITURES >= 0),
   SERVICE_TYPE         VARCHAR2(4)          not null
      constraint CKC_SERVICE_TYPE_IIE3_TOT check (SERVICE_TYPE in ('CBDS','PBDS')),
   PROVIDER_TYPE             CHAR                 not null
      constraint CKC_PROVIDER_TYPE_IIE3_TOT check (PROVIDER_TYPE in ('0','1')),
   YEAR             INTEGER              not null
);

comment on table SPADC.IIE3_TOT_EXP_DS is
'Question II.E.3:  Total Expenditures on Dedicated Services';

comment on column SPADC.IIE3_TOT_EXP_DS.EXPENDITURES is
'Enter the dollar value of expenditures on Dedicated Service';

comment on column SPADC.IIE3_TOT_EXP_DS.SERVICE_TYPE is
'Indicate the service type category for which the expenditures are reported.  Enter "CBDS" for CBDS expenditures and enter "PBDS" for PBDS expenditures';

comment on column SPADC.IIE3_TOT_EXP_DS.PROVIDER_TYPE is
'Enter Y if the reported expenditures are for purchases from ILECs and enter N if the reported expenditures are for purchases from Competitive Providers';

comment on column SPADC.IIE3_TOT_EXP_DS.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

/*==============================================================*/
/* Table: IIE4_EXP_ILEC_TARIFF                                  */
/*==============================================================*/
create table SPADC.IIE4_EXP_ILEC_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)         not null
      constraint CKC_EXPENDITURES_IIE4_EXP check (EXPENDITURES >= 0),
   YEAR             INTEGER              not null,
   SERVICE_TYPE         VARCHAR2(5)          not null
      constraint CKC_SERVICE_TYPE_IIE4_EXP check (SERVICE_TYPE in ('DS1','DS3','PBDS')),
   AGREEMENT_TYPE       CHAR                 not null
      constraint CKC_AGREEMENT_TYPE_IIE4_EXP check (AGREEMENT_TYPE in ('a','b','c','d','e','f','g','h')),
   AVG_DISCOUNT_PPBC    NUMBER(15,2),
   FIVE_OR_MORE         NUMBER(2),
   constraint CKT_IIE4_EXP_ILEC_TARIFF check (((AGREEMENT_TYPE IN ('f','h') AND AVG_DISCOUNT_PPBC IS NOT NULL) OR (AGREEMENT_TYPE NOT IN ('f','h') AND AVG_DISCOUNT_PPBC IS NULL)))
);

comment on table SPADC.IIE4_EXP_ILEC_TARIFF is
'Question II.E.4:  Expenditures with ILECs under Tariffs';

comment on column SPADC.IIE4_EXP_ILEC_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on Dedicated Service for the corresponding categorical breakdown';

comment on column SPADC.IIE4_EXP_ILEC_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

comment on column SPADC.IIE4_EXP_ILEC_TARIFF.SERVICE_TYPE is
'Indicate the service type category for which the expenditures are reported.  Enter "DS1" for DS1expenditures, enter "DS3" for DS3 expenditures, and enter "PBDS" for PBDS expenditures';

comment on column SPADC.IIE4_EXP_ILEC_TARIFF.AGREEMENT_TYPE is
'Enter the code for the appropriate contract type indicated in the question.  The codes should be a letter from "a" to "h".  See instructions below the table for more information on the codes for Contract_Type';

comment on column SPADC.IIE4_EXP_ILEC_TARIFF.AVG_DISCOUNT_PPBC is
'If the Contract_Type is coded as "f" or "h", enter the average discount (in percentage terms) off the One Month Term Only Rate incorporated in the expenditures purchased under Tariff Plans (for code "f") or Contract-Based Tariffs (for code "h") that contained a Prior Purchase-Based Commitment.  See the example in the question on how to calcuLATTITUDEe the average discount.  If Contract_Type is not coded as "f" or "h", leave the field blank';

comment on column SPADC.IIE4_EXP_ILEC_TARIFF.FIVE_OR_MORE is
'If the Year field is 2012, what percentage of your expenditures was subject to a Term Commitment of five or more years?';

/*==============================================================*/
/* Table: IIE5_EXP_CP_TARIFF                                    */
/*==============================================================*/
create table SPADC.IIE5_EXP_CP_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)        
      constraint CKC_EXPENDITURES_IIE5_EXP check (EXPENDITURES is null or (EXPENDITURES >= 0)),
   YEAR             INTEGER,
   SERVICE_TYPE         VARCHAR2(5)         
      constraint CKC_SERVICE_TYPE_IIE5_EXP check (SERVICE_TYPE is null or (SERVICE_TYPE in ('DS1','DS3','PBDS'))),
   AGREEMENT_TYPE       CHAR                
      constraint CKC_AGREEMENT_TYPE_IIE5_EXP check (AGREEMENT_TYPE is null or (AGREEMENT_TYPE in ('a','b','c','d'))),
   AVG_DISCOUNT_PPBC    NUMBER(15,2),
   FIVE_OR_MORE         NUMBER(2)
);

comment on table SPADC.IIE5_EXP_CP_TARIFF is
'Question II.E.5:  Expenditures with Competitive Providers under Tariffs';

comment on column SPADC.IIE5_EXP_CP_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on Dedicated Service for the corresponding categorical breakdown';

comment on column SPADC.IIE5_EXP_CP_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

comment on column SPADC.IIE5_EXP_CP_TARIFF.SERVICE_TYPE is
'Indicate the service type category for which the expenditures are reported.  Enter "DS1" for DS1expenditures, enter "DS3" for DS3 expenditures, and enter "PBDS" for PBDS expenditures';

comment on column SPADC.IIE5_EXP_CP_TARIFF.AGREEMENT_TYPE is
'Enter the code for the appropriate contract type indicated in the question.  The codes should be a letter from "a" to "d".  See instructions below the table for more information on the codes for Contract_Type';

comment on column SPADC.IIE5_EXP_CP_TARIFF.AVG_DISCOUNT_PPBC is
'If the Contract_Type is coded as "d", enter the average discount (in percentage terms) off the One Month Term Only Rate incorporated in the expenditures purchased under Tariffs that contained a Prior Purchase-Based Commitment.  See the example in the question on how to calcuLATTITUDEe the average discount.  If Contract_Type is not coded as "d", leave the field blank';

comment on column SPADC.IIE5_EXP_CP_TARIFF.FIVE_OR_MORE is
'If the Year field is 2012, what percentage of your expenditures was subject to a Term Commitment of five or more years?';

/*==============================================================*/
/* Table: IIE6_EXP_ILEC_CP_NON_TARIFF                           */
/*==============================================================*/
create table SPADC.IIE6_EXP_ILEC_CP_NON_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)        
      constraint CKC_EXPENDITURES_IIE6_EXP check (EXPENDITURES is null or (EXPENDITURES >= 0)),
   YEAR             INTEGER,
   PROVIDER_TYPE             CHAR                
      constraint CKC_ILEC_IND_IIE6_EXP check (PROVIDER_TYPE is null or (PROVIDER_TYPE in ('1','0'))),
   SERVICE_TYPE         VARCHAR2(5)         
      constraint CKC_SERVICE_TYPE_IIE6_EXP check (SERVICE_TYPE is null or (SERVICE_TYPE in ('DS1','DS3','PBDS'))),
   AGREEMENT_TYPE        CHAR                
      constraint CKC_CONTRACT_TYPE_IIE6_EXP check (AGREEMENT_TYPE is null or (AGREEMENT_TYPE in ('a','b','c','d'))),
   AVG_DISCOUNT_PPBC    NUMBER(15,2),
   constraint CKT_IIE6_EXP_ILEC_CP_NON_TARIF check (((AGREEMENT_TYPE IN ('d') AND AVG_DISCOUNT_PPBC IS NOT NULL) OR (AGREEMENT_TYPE NOT IN ('d') AND AVG_DISCOUNT_PPBC IS NULL)))
);

comment on table SPADC.IIE6_EXP_ILEC_CP_NON_TARIFF is
'Question II.E.6:  Expenditures with ILECs and Competitive Providers Pursuant to Non-Tariffs';

comment on column SPADC.IIE6_EXP_ILEC_CP_NON_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on Dedicated Service for the corresponding categorical breakdown';

comment on column SPADC.IIE6_EXP_ILEC_CP_NON_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

comment on column SPADC.IIE6_EXP_ILEC_CP_NON_TARIFF.PROVIDER_TYPE is
'Enter Y if the reported expenditures are for purchases from ILECs and enter N if the reported expenditures are for purchases from Competitive Providers';

comment on column SPADC.IIE6_EXP_ILEC_CP_NON_TARIFF.SERVICE_TYPE is
'Indicate the service type category for which the expenditures are reported.  Enter "DS1" for DS1expenditures, enter "DS3" for DS3 expenditures, and enter "PBDS" for PBDS expenditures';

comment on column SPADC.IIE6_EXP_ILEC_CP_NON_TARIFF.AGREEMENT_TYPE is
'Enter the code for the appropriate contract type indicated in the question.  The codes should be a letter from "a" to "d".  See instructions below the table for more information on the codes for Contract_Type';

comment on column SPADC.IIE6_EXP_ILEC_CP_NON_TARIFF.AVG_DISCOUNT_PPBC is
'If the Contract_Type is coded as "d", enter the average discount (in percentage terms) off the non-discounted rate incorporated in the expenditures purchased under non-tariffed agreements that contained a Prior Purchase-Based Commitment.  See the example in the question on how to calcuLATTITUDEe the average discount.  If Contract_Type is not coded as "d", leave the field blank';

/*==============================================================*/
/* Table: IIE7_EXP_PBDS_TARIFF                                  */
/*==============================================================*/
create table SPADC.IIE7_EXP_PBDS_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)        
      constraint CKC_EXPENDITURES_IIE7_EXP check (EXPENDITURES is null or (EXPENDITURES >= 0)),
   PROVIDER_TYPE             CHAR                
      constraint CKC_PROVIDER_TYPE_IIE7_EXP check (PROVIDER_TYPE is null or (PROVIDER_TYPE in ('0','1'))),
   BANDWIDTH            CHAR                
      constraint CKC_BANDWIDTH_IIE7_EXP check (BANDWIDTH is null or (BANDWIDTH in ('A','B','C','D','E'))),
   YEAR             INTEGER
);

comment on table SPADC.IIE7_EXP_PBDS_TARIFF is
'Question II.E.7:  Expenditures under Tariffs for PBDS';

comment on column SPADC.IIE7_EXP_PBDS_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on Tariffed PBDS service';

comment on column SPADC.IIE7_EXP_PBDS_TARIFF.PROVIDER_TYPE is
'Enter 0 if the reported expenditures are for purchases from ILECs and enter 1 if the reported expenditures are for purchases from Competitive Providers';

comment on column SPADC.IIE7_EXP_PBDS_TARIFF.BANDWIDTH is
'Indicate the bandwidth category for which the expenditures are reported.  Enter "A" for bandwidth less than or equal to 1.5 Mbps, enter "B" for bandwidth greater than 1.5 Mbps but less than or equal to 50 Mbps, enter "C" for bandwidth greater than 50 Mbps but less than or equal to 100 Mbps, enter "D" for bandwidth greater than 100 Mbps but less than or equal to 1 Gbps, and enter "E" for bandwidth greater than 1 Gbps';

comment on column SPADC.IIE7_EXP_PBDS_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

/*==============================================================*/
/* Table: IIE8_EXP_PBDS_NON_TARIFF                              */
/*==============================================================*/
create table SPADC.IIE8_EXP_PBDS_NON_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)        
      constraint CKC_EXPENDITURES_IIE8_EXP check (EXPENDITURES is null or (EXPENDITURES >= 0)),
   PROVIDER_TYPE             CHAR                
      constraint CKC_PROVIDER_TYPE_IIE8_EXP check (PROVIDER_TYPE is null or (PROVIDER_TYPE in ('0','1'))),
   BANDWIDTH            CHAR                
      constraint CKC_BANDWIDTH_IIE8_EXP check (BANDWIDTH is null or (BANDWIDTH in ('A','B','C','D','E'))),
   YEAR             INTEGER
);

comment on table SPADC.IIE8_EXP_PBDS_NON_TARIFF is
'Question II.E.8:  Expenditures under Non-Tariffs for PBDS';

comment on column SPADC.IIE8_EXP_PBDS_NON_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on non-Tariffed PBDS service';

comment on column SPADC.IIE8_EXP_PBDS_NON_TARIFF.PROVIDER_TYPE is
'Enter Y if the reported expenditures are for purchases from ILECs and enter N if the reported expenditures are for purchases from Competitive Providers';

comment on column SPADC.IIE8_EXP_PBDS_NON_TARIFF.BANDWIDTH is
'Indicate the bandwidth category for which the expenditures are reported.  Enter "A" for bandwidth less than or equal to 1.5 Mbps, enter "B" for bandwidth greater than 1.5 Mbps but less than or equal to 50 Mbps, enter "C" for bandwidth greater than 50 Mbps but less than or equal to 100 Mbps, enter "D" for bandwidth greater than 100 Mbps but less than or equal to 1 Gbps, and enter "E" for bandwidth greater than 1 Gbps';

comment on column SPADC.IIE8_EXP_PBDS_NON_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

/*==============================================================*/
/* Table: IIF13_TARIFFS_PURC_SRVC                               */
/*==============================================================*/
create table SPADC.IIF13_TARIFFS_PURC_SRVC 
(
   TAR_PLAN         CHAR                
      constraint CKC_TAR_PLAN_IND_IIF13_TA check (TAR_PLAN is null or (TAR_PLAN in ('Y','N'))),
   TARIFF_NAME          VARCHAR2(100),
   TP_PROVIDER          VARCHAR2(100),
   TP_TARIFF_NUMBER     VARCHAR2(500),
   CBT_PLAN         CHAR                
      constraint CKC_CBT_PLAN_IND_IIF13_TA check (CBT_PLAN is null or (CBT_PLAN in ('Y','N'))),
   CBT_NAME             VARCHAR2(100),
   CBT_PROVIDER         VARCHAR2(100),
   CBT_TARIFF_NUMBER    VARCHAR2(100),
   TARIFF_TYPE          VARCHAR2(100),
   CONTAINS_TERM    CHAR                
      constraint CKC_CONTAINS_TERM_IIF13_TA check (CONTAINS_TERM is null or (CONTAINS_TERM in ('Y','N'))),
   CONTAINS_VOL     CHAR                
      constraint CKC_CONTAINS_VOL_IIF13_TA check (CONTAINS_VOL is null or (CONTAINS_VOL in ('Y','N'))),
   CONTAINS_NONR    CHAR                
      constraint CKC_CONTAINS_NONR_IIF13_TA check (CONTAINS_NONR is null or (CONTAINS_NONR in ('Y','N'))),
   NONRATE              VARCHAR2(2000),
   TARIFF_DS1       CHAR                
      constraint CKC_TARIFF_DS1_IIF13_TA check (TARIFF_DS1 is null or (TARIFF_DS1 in ('Y','N'))),
   TARIFF_DS3       CHAR                
      constraint CKC_TARIFF_DS3_IIF13_TA check (TARIFF_DS3 is null or (TARIFF_DS3 in ('Y','N'))),
   TARIFF_PBDS      CHAR                
      constraint CKC_TARIFF_PBDS_IIF13_TA check (TARIFF_PBDS is null or (TARIFF_PBDS in ('Y','N'))),
   TARIFF_OTHER     CHAR                
      constraint CKC_TARIFF_OTHER_IIF13_TA check (TARIFF_OTHER is null or (TARIFF_OTHER in ('Y','N'))),
   GEO_DS1              VARCHAR2(100),
   GEO_DS3              VARCHAR2(100),
   GEO_PBDS             VARCHAR2(100),
   GEO_OTHER            VARCHAR2(100),
   PRIOR_P          CHAR                
      constraint CKC_PRIOR_P_IIF13_TA check (PRIOR_P is null or (PRIOR_P in ('Y','N'))),
   OUTSIDE_AREA     VARCHAR2(2)         
      constraint CKC_OUTSIDE_AREA_IIF13_TA check (OUTSIDE_AREA is null or (OUTSIDE_AREA in ('Y','N','NA'))),
   OUTSIDE_AREA_YES     VARCHAR2(500),
   OUTSIDE_AREA_YES_DIFF VARCHAR2(500),
   OUTSIDE_AREA_YES_PROVIDER VARCHAR2(500),
   ILEC_PRICE_CAP   VARCHAR2(2)         
      constraint CKC_ILEC_PRICE_CAP_IIF13_TA check (ILEC_PRICE_CAP is null or (ILEC_PRICE_CAP in ('Y','N','NA'))),
   ILEC_PRICE_CAP_VOL   VARCHAR2(2000),
   ILEC_PRICE_FLEX1 VARCHAR2(2)         
      constraint CKC_ILEC_PRICE_FLEX1__IIF13_TA check (ILEC_PRICE_FLEX1 is null or (ILEC_PRICE_FLEX1 in ('Y','N','NA'))),
   ILEC_PRICE_FLEX1_VOL VARCHAR2(2000),
   ILEC_PRICE_FLEX1_DIFF VARCHAR2(2000),
   ILEC_PRICE_FLEX1_PROVIDER VARCHAR2(500),
   ILEC_PRICE_FLEX2 VARCHAR2(2),
   ILEC_PRICE_FLEX2_VOL VARCHAR2(2000),
   ILEC_PRICE_FLEX2_DIFF VARCHAR2(2000),
   ILEC_PRICE_FLEX2_PROVIDER VARCHAR2(500),
   ILEC_PBDS        VARCHAR2(2)         
      constraint CKC_ILEC_PBDS_IIF13_TA check (ILEC_PBDS is null or (ILEC_PBDS in ('Y','N','NA'))),
   ILEC_PBDS_VOL        VARCHAR2(2000),
   ILEC_PBDS_DIFF       VARCHAR2(2000),
   ILEC_PBDS_PROVIDER   VARCHAR2(500),
   ILEC_OTHER       VARCHAR2(2)         
      constraint CKC_ILEC_OTHER_IIF13_TA check (ILEC_OTHER is null or (ILEC_OTHER in ('Y','N','NA'))),
   ILEC_OTHER_SERVICE   VARCHAR2(500),
   ILEC_OTHER_GEO       VARCHAR2(2000),
   ILEC_OTHER_GEO_DIFF  VARCHAR2(2000),
   ILEC_OTHER_PROVIDER  VARCHAR2(500),
   LIMITING_PURCHASE    VARCHAR2(2000)
);

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.TAR_PLAN is
'Plan is a Tariff Plan (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.TARIFF_NAME is
'Name of Tariff Plan [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.TP_PROVIDER is
'The Tariff Plan Provider name [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.TP_TARIFF_NUMBER is
'The Tariff Plan Name and Section Number [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.CBT_PLAN is
'Plan is a Contract-Based Tariff (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.CBT_NAME is
'Name of Contract-Based Tariff plan [Highly Confidential]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.CBT_PROVIDER is
'The Contract-Based Tariff Provider name [Highly Confidential]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.CBT_TARIFF_NUMBER is
'The Contract-Based Tariff Name and Section Number [Highly Confidential]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.TARIFF_TYPE is
'Interstate (Inter) or Intrastate (Intra) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.CONTAINS_TERM is
'Contains Term Commitments (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.CONTAINS_VOL is
'Contains Volume Commitments (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.CONTAINS_NONR is
'Contains Non-Rate Benefits (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.NONRATE is
'If the plan contains Non-Rate Benefits, identify the Non-Rate Benefits that were relevant to your decision to purchase services under this plan. [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.TARIFF_DS1 is
'Does this plan apply to the purchase of DS1s? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.TARIFF_DS3 is
'Does this plan apply to the purchase of DS3s? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.TARIFF_PBDS is
'Does this plan apply to the purchase of PBDS? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.TARIFF_OTHER is
'Does this plan apply to the purchase of other services? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.GEO_DS1 is
'In what geographic areas do you purchase DS1s under this plan?  [Highly Confidential][For IT, we would like to have a drop down menu here for the selection of nationwide, states, or MSAs -allow for multiple selections.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.GEO_DS3 is
'In what geographic areas do you purchase DS3s under this plan?  [Highly Confidential][For IT, we would like to have a drop down menu here for the selection of nationwide, states, or MSAs -allow for multiple selections.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.GEO_PBDS is
'In what geographic areas do you purchase PBDS under this plan?  [Highly Confidential][For IT, we would like to have a drop down menu here for the selection of nationwide, states, or MSA -allow for multiple selections s.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.GEO_OTHER is
'In what geographic areas do you purchase other services under this plan?  [Highly Confidential][For IT, we would like to have a drop down menu here for the selection of nationwide, states, or MSAs -allow for multiple selections.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.PRIOR_P is
'To receive a discount or Non-Rate Benefit under this plan, does your company make a Prior Purchase-Based Commitment? (1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.OUTSIDE_AREA is
'If this is an ILEC plan, do DS1 or DS3 purchases your company makes outside the study area(s) of the ILEC count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.OUTSIDE_AREA_YES is
'If yes, in what geographic areas outside the study area(s) of the ILEC, do you purchase these DS1s and/or DS3s? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.OUTSIDE_AREA_YES_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased from a different Provider, if at all, had it not been for the discounts or Non-Rate Benefits received under this plan?  In your response, indicate whether the Provider that you would have purchased from has Connections serving that geographic area. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.OUTSIDE_AREA_YES_PROVIDER is
'Name of Provider(s) in the geographic area identified above you would have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.  [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_CAP is
'If this is an ILEC plan, do DS1 and/or DS3 purchases your company makes from the ILEC in price cap areas where the Commission has not granted the ILEC pricing flexibility count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_CAP_VOL is
'If Yes, then identify the price cap areas where you purchase DS1s and/or DS3s that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX1 is
'If this is an ILEC plan, do DS1 and/or DS3 purchases your company makes from the ILEC in areas where the Commission has granted the ILEC either Phase I or Phase II Pricing Flexibility count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX1_VOL is
'If Yes, in what geographic areas subject to pricing flexibility do you purchase DS1s and/or DS3s that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX1_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased from a different Provider, if at all, had it not been for the discouints or Non-Rate Benefits received under this plan? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX1_PROVIDER is
'Name of Provider(s) in the geographic areas identified above you would have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.  [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX2 is
'If this is an ILEC plan, do DS1 and/or DS3 purchases your company makes from the ILEC in areas where the Commission has granted the ILEC Phase II Pricing Flexibility count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX2_VOL is
'If Yes, in what geographic areas subject to pricing flexibility do you purchase DS1s and/or DS3s that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX2_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased from a different Provider, if at all, had it not been for the discouints or Non-Rate Benefits received under this plan? [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PRICE_FLEX2_PROVIDER is
'Name of Provider(s) in the geographic areas identified above you would have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.  [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PBDS is
'If an ILEC plan, do non-tariffed PBDS purchases you make from this ILEC count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PBDS_VOL is
'If Yes, in what geographic areas do you purchase non-tariffed PBDS that counts towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PBDS_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased PBDS from a different Provider, if at all, had it not been for the requirements of the plan?  In your response, indicate whether the Provider that you would have purchased from has Connections serving that geographic area. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_PBDS_PROVIDER is
'Name of Provider(s) in the geographic areas identified above you would have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.  [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_OTHER is
'If this is an ILEC plan, do purchases you make for services other than DS1s, DS3s, and PBDS from this ILEC count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan? (2=NA, 1=Yes, 0=No) [Public]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_OTHER_SERVICE is
'If Yes, identify the other services purchased that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_OTHER_GEO is
'If Yes, identify the geographic areas where you purchase these other services that count towards meeting any Volume Commitment to receive a discount or Non-Rate Benefit under this plan. [Highly Confidential][For IT, medium text limit here.]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_OTHER_GEO_DIFF is
'Of the geographic areas identified, in which of those areas would your company have purchased those other services from a different Provider, had it not been for the requirements of the plan?  In your response, indicate whether the Provider that you would have purchased from has Connections serving that geographic area. [Highly Confidential]';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.ILEC_OTHER_PROVIDER is
'Name of Provider(s) in the geographic areas identified above you would have purchased from had it not been for the discounts or Non-Rate Benefits received under this plan.  [Highly Confidential][For IT, medium text limit here.]
';

comment on column SPADC.IIF13_TARIFFS_PURC_SRVC.LIMITING_PURCHASE is
'Is the discount or Non-Rate Benefit available under this plan conditioned on the customer limiting its purchase of UNEs, e.g., the customer must keep its purchase of UNEs below a certain percentage of the customer''s total spend?  If yes, then provide additional details about the condition. [Public][For IT, medium text limit here.]';

/*==============================================================*/
/* Table: IIF14_PURC_NON_TARIFF                                 */
/*==============================================================*/
create table SPADC.IIF14_PURC_NON_TARIFF 
(
   UNIQUE_ID        INTEGER              not null
      constraint CKC_NON_TARIFF_ID_IIF14_PU check (UNIQUE_ID >= 0),
   AGREEMENT            VARCHAR2(100)        not null,
   PARTIES              VARCHAR2(500)        ,
   BEGIN_DATE           DATE                 ,
   END_DATE             DATE                 ,
   SUMMARY              VARCHAR2(2000)       ,
   constraint PK_IIF14_PURC_NON_TARIFF primary key (UNIQuE_ID)
   );

comment on column SPADC.IIF14_PURC_NON_TARIFF.UNIQUE_ID is
'Sequential number';

comment on column SPADC.IIF14_PURC_NON_TARIFF.AGREEMENT is
'Name of non-tariffed agreement';

comment on column SPADC.IIF14_PURC_NON_TARIFF.PARTIES is
'Parties to the agreement';

comment on column SPADC.IIF14_PURC_NON_TARIFF.BEGIN_DATE is
'The beginning date of the time period covered by the agreement';

comment on column SPADC.IIF14_PURC_NON_TARIFF.END_DATE is
'The ending date of the time period covered by the agreement';

comment on column SPADC.IIF14_PURC_NON_TARIFF.SUMMARY is
'Summary of relevant provisions';

/*==============================================================*/
/* Table: IIF1_PURC_NATURE_BUS                                  */
/*==============================================================*/
create table SPADC.IIF1_PURC_NATURE_BUS 
(
   PURCHASER_NAME       VARCHAR2(100)        not null,
   BIZ_NATURE           VARCHAR2(100)        not null
);

comment on column SPADC.IIF1_PURC_NATURE_BUS.PURCHASER_NAME is
'Name of Purchaser';

comment on column SPADC.IIF1_PURC_NATURE_BUS.BIZ_NATURE is
'Principal nature of Purchaser''s business';

/*==============================================================*/
/* Table: IIF2_EXP_DS                                           */
/*==============================================================*/
create table SPADC.IIF2_EXP_DS 
(
   EXPENDITURES         NUMBER(15,2)         not null
      constraint CKC_EXPENDITURES_IIF2_EXP check (EXPENDITURES >= 0),
   SERVICE_TYPE         VARCHAR2(5)          not null
      constraint CKC_SERVICE_TYPE_IIF2_EXP check (SERVICE_TYPE in ('CBDS','PBDS')),
   PROViDER_TYPE            CHAR                 not null
      constraint CKC_PROVIDER_TYPE_IIF2_EXP check (PROVIDER_TYPE in ('1','0')),
   YEAR             INTEGER              not null
);

comment on table SPADC.IIF2_EXP_DS is
'Question II.F.2:  Total Expenditures on Dedicated Services';

comment on column SPADC.IIF2_EXP_DS.EXPENDITURES is
'Enter the dollar value of expenditures on Dedicated Service';

comment on column SPADC.IIF2_EXP_DS.SERVICE_TYPE is
'Indicate the service type category for which the expenditures are reported.  Enter "CBDS" for CBDS expenditures and enter "PBDS" for PBDS expenditures';

comment on column SPADC.IIF2_EXP_DS.PROVIDER_TYPE is
'Enter Y if the reported expenditures are for purchases from ILECs and enter N if the reported expenditures are for purchases from Competitive Providers';

comment on column SPADC.IIF2_EXP_DS.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

/*==============================================================*/
/* Table: IIF3_ILEC_TARIFF                                      */
/*==============================================================*/
create table SPADC.IIF3_ILEC_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)        
      constraint CKC_EXPENDITURES_IIF3_ILE check (EXPENDITURES is null or (EXPENDITURES >= 0)),
   YEAR             INTEGER,
   SERVICE_TYPE         VARCHAR2(5)         
      constraint CKC_SERVICE_TYPE_IIF3_ILE check (SERVICE_TYPE is null or (SERVICE_TYPE in ('DS1','DS3','PBDS'))),
   AGREEMENT_TYPE       CHAR                
      constraint CKC_AGREEMENT_TYPE_IIF3_ILE check (AGREEMENT_TYPE is null or (AGREEMENT_TYPE in ('a','b','c','d','e','f','g','h'))),
   AVG_DISCOUNT_PPBC    NUMBER(15,2),
   FIVE_OR_MORE         NUMBER(2)
);

comment on table SPADC.IIF3_ILEC_TARIFF is
'Question II.F.3:  Expenditures with ILECs under Tariffs';

comment on column SPADC.IIF3_ILEC_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on Dedicated Service for the corresponding categorical breakdown';

comment on column SPADC.IIF3_ILEC_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

comment on column SPADC.IIF3_ILEC_TARIFF.SERVICE_TYPE is
'Indicate the service type category for which the expenditures are reported.  Enter "DS1" for DS1expenditures, enter "DS3" for DS3 expenditures, and enter "PBDS" for PBDS expenditures';

comment on column SPADC.IIF3_ILEC_TARIFF.AGREEMENT_TYPE is
'Enter the code for the appropriate contract type indicated in the question.  The codes should be a letter from "a" to "h".  See instructions below the table for more information on the codes for Contract_Type';

comment on column SPADC.IIF3_ILEC_TARIFF.AVG_DISCOUNT_PPBC is
'If the Contract_Type is coded as "f" or "h", enter the average discount (in percentage terms) off the One Month Term Only Rate incorporated in the expenditures purchased under Tariff Plans (for code "f") or Contract-Based Tariffs (for code "h") that contained a Prior Purchase-Based Commitment.  See the example in the question on how to calcuLATTITUDEe the average discount.  If Contract_Type is not coded as "f" or "h", leave the field blank';

comment on column SPADC.IIF3_ILEC_TARIFF.FIVE_OR_MORE is
'If the Year field is 2012, what percentage of your expenditures was subject to a Term Commitment of five or more years?';

/*==============================================================*/
/* Table: IIF4_CP_TARIFF                                        */
/*==============================================================*/
create table SPADC.IIF4_CP_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)        
      constraint CKC_EXPENDITURES_IIF4_CP_ check (EXPENDITURES is null or (EXPENDITURES >= 0)),
   YEAR             INTEGER,
   SERVICE_TYPE         VARCHAR2(5)         
      constraint CKC_SERVICE_TYPE_IIF4_CP_ check (SERVICE_TYPE is null or (SERVICE_TYPE in ('DS1','DS3','PBDS'))),
   AGREEMENT_TYPE       CHAR                
      constraint CKC_AGREEMENT_TYPE_IIF4_CP_ check (AGREEMENT_TYPE is null or (AGREEMENT_TYPE in ('a','b','c','d'))),
   AVG_DISCOUNT_PPBC    NUMBER(15,2),
   FIVE_OR_MORE         NUMBER(2)
);

comment on table SPADC.IIF4_CP_TARIFF is
'Question II.F.4:  Expenditures with Competitive Providers under Tariffs';

comment on column SPADC.IIF4_CP_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on Dedicated Service for the corresponding categorical breakdown';

comment on column SPADC.IIF4_CP_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

comment on column SPADC.IIF4_CP_TARIFF.SERVICE_TYPE is
'Indicate the service type category for which the expenditures are reported.  Enter "DS1" for DS1expenditures, enter "DS3" for DS3 expenditures, and enter "PBDS" for PBDS expenditures';

comment on column SPADC.IIF4_CP_TARIFF.AGREEMENT_TYPE is
'Enter the code for the appropriate contract type indicated in the question.  The codes should be a letter from "a" to "d".  See instructions below the table for more information on the codes for Contract_Type';

comment on column SPADC.IIF4_CP_TARIFF.AVG_DISCOUNT_PPBC is
'If the Contract_Type is coded as "d", enter the average discount (in percentage terms) off the One Month Term Only Rate incorporated in the expenditures purchased under Tariffs that contained a Prior Purchase-Based Commitment.  See the example in the question on how to calcuLATTITUDEe the average discount.  If Contract_Type is not coded as "d", leave the field blank';

comment on column SPADC.IIF4_CP_TARIFF.FIVE_OR_MORE is
'If the Year field is 2012, what percentage of your expenditures was subject to a Term Commitment of five or more years?';

/*==============================================================*/
/* Table: IIF5_EXP_ILEC_CP_NON_TARIFF                           */
/*==============================================================*/
create table SPADC.IIF5_EXP_ILEC_CP_NON_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)        
      constraint CKC_EXPENDITURES_IIF5_EXP check (EXPENDITURES is null or (EXPENDITURES >= 0)),
   YEAR             INTEGER,
   PROVIDER_TYPE             CHAR                
      constraint CKC_ILEC_IND_IIF5_EXP check (PROVIDER_TYPE is null or (PROVIDER_TYPE in ('1','0'))),
   SERVICE_TYPE         VARCHAR2(5)         
      constraint CKC_SERVICE_TYPE_IIF5_EXP check (SERVICE_TYPE is null or (SERVICE_TYPE in ('DS1','DS3','PBDS'))),
   AGREEMENT_TYPE        CHAR                
      constraint CKC_CONTRACT_TYPE_IIF5_EXP check (AGREEMENT_TYPE is null or (AGREEMENT_TYPE in ('a','b','c','d'))),
   AVG_DISCOUNT_PPBC    NUMBER(15,2),
   constraint CKT_IIF5_EXP_ILEC_CP_NON_TARIF check (((AGREEMENT_TYPE IN ('d') AND AVG_DISCOUNT_PPBC IS NOT NULL) OR (AGREEMENT_TYPE NOT IN ('d') AND AVG_DISCOUNT_PPBC IS NULL)))
);

comment on table SPADC.IIF5_EXP_ILEC_CP_NON_TARIFF is
'Question II.F.5:  Expenditures with ILECs and Competitive Providers Pursuant to Non-Tariffs';

comment on column SPADC.IIF5_EXP_ILEC_CP_NON_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on Dedicated Service for the corresponding categorical breakdown';

comment on column SPADC.IIF5_EXP_ILEC_CP_NON_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

comment on column SPADC.IIF5_EXP_ILEC_CP_NON_TARIFF.PROVIDER_TYPE is
'Enter Y if the reported expenditures are for purchases from ILECs and enter N if the reported expenditures are for purchases from Competitive Providers';

comment on column SPADC.IIF5_EXP_ILEC_CP_NON_TARIFF.SERVICE_TYPE is
'Indicate the service type category for which the expenditures are reported.  Enter "DS1" for DS1expenditures, enter "DS3" for DS3 expenditures, and enter "PBDS" for PBDS expenditures';

comment on column SPADC.IIF5_EXP_ILEC_CP_NON_TARIFF.AGREEMENT_TYPE is
'Enter the code for the appropriate contract type indicated in the question.  The codes should be a letter from "a" to "d".  See instructions below the table for more information on the codes for Contract_Type';

comment on column SPADC.IIF5_EXP_ILEC_CP_NON_TARIFF.AVG_DISCOUNT_PPBC is
'If the Contract_Type is coded as "d", enter the average discount (in percentage terms) off the non-discounted rate incorporated in the expenditures purchased under non-tariffed agreements that contained a Prior Purchase-Based Commitment.  See the example in the question on how to calcuLATTITUDEe the average discount.  If Contract_Type is not coded as "d", leave the field blank';

/*==============================================================*/
/* Table: IIF6_EXP_PBDS_TARIFF                                  */
/*==============================================================*/
create table SPADC.IIF6_EXP_PBDS_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)        
      constraint CKC_EXPENDITURES_IIF6_EXP check (EXPENDITURES is null or (EXPENDITURES >= 0)),
   PROVIDER_TYPE             CHAR                
      constraint CKC_ILEC_IND_IIF6_EXP check (PROVIDER_TYPE is null or (PROVIDER_TYPE in ('1','0'))),
   BANDWIDTH            CHAR                
      constraint CKC_BANDWIDTH_IIF6_EXP check (BANDWIDTH is null or (BANDWIDTH in ('A','B','C','D','E'))),
   YEAR             INTEGER
);

comment on table SPADC.IIF6_EXP_PBDS_TARIFF is
'Question II.F.6:  Expenditures under Tariffs for PBDS';

comment on column SPADC.IIF6_EXP_PBDS_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on Tariffed PBDS service';

comment on column SPADC.IIF6_EXP_PBDS_TARIFF.PROVIDER_TYPE is
'Enter Y if the reported expenditures are for purchases from ILECs and enter N if the reported expenditures are for purchases from Competitive Providers';

comment on column SPADC.IIF6_EXP_PBDS_TARIFF.BANDWIDTH is
'Indicate the bandwidth category for which the expenditures are reported.  Enter "A" for bandwidth less than or equal to 1.5 Mbps, enter "B" for bandwidth greater than 1.5 Mbps but less than or equal to 50 Mbps, enter "C" for bandwidth greater than 50 Mbps but less than or equal to 100 Mbps, enter "D" for bandwidth greater than 100 Mbps but less than or equal to 1 Gbps, and enter "E" for bandwidth greater than 1 Gbps';

comment on column SPADC.IIF6_EXP_PBDS_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

/*==============================================================*/
/* Table: IIF7_EXP_PBDS_NON_TARIFF                              */
/*==============================================================*/
create table SPADC.IIF7_EXP_PBDS_NON_TARIFF 
(
   EXPENDITURES         NUMBER(15,2)        
      constraint CKC_EXPENDITURES_IIF7_EXP check (EXPENDITURES is null or (EXPENDITURES >= 0)),
   PROVIDER_TYPE        CHAR                
      constraint CKC_ILEC_IND_IIF7_EXP check (PROVIDER_TYPE is null or (PROVIDER_TYPE in ('0','1'))),
   BANDWIDTH            CHAR                
      constraint CKC_BANDWIDTH_IIF7_EXP check (BANDWIDTH is null or (BANDWIDTH in ('A','B','C','D','E'))),
   YEAR             INTEGER
);

comment on table SPADC.IIF7_EXP_PBDS_NON_TARIFF is
'Question II.F.7:  Expenditures under Non-Tariffs for PBDS';

comment on column SPADC.IIF7_EXP_PBDS_NON_TARIFF.EXPENDITURES is
'Enter the dollar value of expenditures on non-Tariffed PBDS service';

comment on column SPADC.IIF7_EXP_PBDS_NON_TARIFF.PROVIDER_TYPE is
'Enter 0 if the reported expenditures are for purchases from ILECs and enter 1 if the reported expenditures are for purchases from Competitive Providers';

comment on column SPADC.IIF7_EXP_PBDS_NON_TARIFF.BANDWIDTH is
'Indicate the bandwidth category for which the expenditures are reported.  Enter "A" for bandwidth less than or equal to 1.5 Mbps, enter "B" for bandwidth greater than 1.5 Mbps but less than or equal to 50 Mbps, enter "C" for bandwidth greater than 50 Mbps but less than or equal to 100 Mbps, enter "D" for bandwidth greater than 100 Mbps but less than or equal to 1 Gbps, and enter "E" for bandwidth greater than 1 Gbps';

comment on column SPADC.IIF7_EXP_PBDS_NON_TARIFF.YEAR is
'Enter "2010" if the reported expenditures are for the year 2010 and enter "2012" if the reported expenditures are for the year 2012';

/*==============================================================*/
/* Table: QC_CONTAINER_CHECK                                    */
/*==============================================================*/
create table SPADC.QC_CONTAINER_CHECK 
(
   CHK_QUES             VARCHAR2(30),
   CHK_TYPE             VARCHAR2(20),
   CHK_DESC             VARCHAR2(200),
   CHK_STATUS           VARCHAR2(20)
);

/*==============================================================*/
/* Table: QC_LOG                                                */
/*==============================================================*/
create table SPADC.QC_LOG 
(
   FRN                  VARCHAR2(10),
   QC_STATUS            VARCHAR2(6),
   CP_CLEC_IND          CHAR(1),
   CP_CABLE_SYSTEM_OPR_IND CHAR(1),
   ILEC_IND             CHAR(1),
   BESTE_EFFORTS_IND    CHAR(1),
   PUR_MOBILE_WIRELESS_IND CHAR(1),
   PUR_OTHER_IND        CHAR(1)
);

/*==============================================================*/
/* Table: SPADC_FILER_ID_INFO                                   */
/*==============================================================*/
create table SPADC.SPADC_FILER_ID_INFO 
(
   FILER_FRN            CHAR(10)             not null
      constraint CHK_FRN check (LENGTH(TRIM(FILER_FRN)) = 10 AND TO_NUMBER(FILER_FRN) >=0),
   FILER_NAME           VARCHAR2(100)        not null,
   constraint PK_SPADC_FILER_ID_INFO primary key (FILER_FRN)
);

comment on table SPADC.SPADC_FILER_ID_INFO is
'Filer Identification Information';

comment on column SPADC.SPADC_FILER_ID_INFO.FILER_FRN is
'Filer''s FCC Registration Number (FRN)';

comment on column SPADC.SPADC_FILER_ID_INFO.FILER_NAME is
'Name of Filer';


/*==============================================================*/
/* Table: TABLE_DEPENDENCIES                                    */
/*==============================================================*/
create table SPADC.TABLE_DEPENDENCIES 
(
   TABLE_NAME           VARCHAR2(30)         not null,
   DEPENDENCY           VARCHAR2(30)         not null,
   ACTIVE               CHAR(1)              not null,
   constraint PK_TABLE_DEPENDENCIES primary key (TABLE_NAME, DEPENDENCY)
);
