  PROMPT CREATE OR REPLACE PROCEDURE pr_qc_container_check
  CREATE OR REPLACE PROCEDURE pr_qc_container_check AS
  CURSOR c_tables IS
  SELECT 'INSERT INTO QC_CONTAINER_CHECK values ('''||table_name||''', ''Table'', ''Row Count: '',(SELECT COUNT(*) FROM '
  ||table_name||'))'
  FROM user_tables
  WHERE table_name like 'II%' OR table_name like 'SPADC%';
  v_sysdate date;
  v_sql_statement varchar(1000);

  v_chk1 integer;
  v_chk2 integer;

  v_tblcnt1  INTEGER;
  v_tblcnt2  INTEGER;
  v_tblcnt3  INTEGER;
  v_tblcnt4  INTEGER;
  v_tblcnt5  INTEGER;
  v_tblcnt6  INTEGER;
  v_tblcnt7  INTEGER;
  v_tblcnt8  INTEGER;
  v_tblcnt9  INTEGER;
  v_tblcnt10 INTEGER;
  v_tblcnt11 INTEGER;
  v_tblcnt12 INTEGER;
  v_tblcnt13 INTEGER;
  v_tblcnt14 INTEGER;
  v_tblcnt15 INTEGER;

  BEGIN

  -- Check for row count in tables
  EXECUTE IMMEDIATE 'TRUNCATE TABLE QC_CONTAINER_CHECK';
  EXECUTE IMMEDIATE 'TRUNCATE TABLE QC_LOG';

  Dbms_Output.put_line('begins');


  OPEN c_tables;
  LOOP
  FETCH c_tables INTO v_sql_statement;
  EXIT WHEN c_tables%NOTFOUND;
  EXECUTE IMMEDIATE v_sql_statement;
  dbms_output.put_line (v_sql_statement);




  END LOOP;
  CLOSE c_tables;

 


  -- SPADC table check
  SELECT chk_status
  INTO v_chk1
  FROM QC_CONTAINER_CHECK
  WHERE chk_ques = 'SPADC_FILER_ID_INFO'
  AND chk_type = 'Table'
  ;

  IF NVL(v_chk1 ,0) <> 1 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('SPADC_FILER_ID_INFO',
            'QC check',
            'SPADC_FILER_ID_INFO should have exactly one row',
            'FAILED');

  END IF;

  -- CP Checks

  -- CP loaction count and location no data chk

  SELECT chk_status
  INTO v_chk1
  FROM QC_CONTAINER_CHECK
  WHERE chk_ques = 'IIA3_CP_LOCATION_CNT'
  AND chk_type = 'Table';

  SELECT chk_status
  INTO v_chk2
  FROM QC_CONTAINER_CHECK
  WHERE chk_ques = 'IIA4_CP_LOCATION_DATA'
  AND chk_type = 'Table';

 /* IF (NVL(v_chk1 ,0) > 1 AND NVL(v_chk2 ,0) = 0) OR (NVL(v_chk2 ,0) > 1 AND NVL(v_chk1 ,0) = 0) THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA3_CP_LOCATION_CNT',
            'QC check',
            'EITHER IIA3_CP_LOCATION_CNT OR IIA4_CP_LOCATION_DATA HAS NO DATA',
            'FAILED');
  ELSIF (NVL(v_chk1 ,0) > 1 AND NVL(v_chk2 ,0) > 0) THEN*/

  -- CP loaction count and location data chk


 /*   SELECT COUNT(location_id), MIN(a.locations)
      INTO v_chk1, v_chk2
      FROM IIA3_CP_LOCATION_CNT  a
      JOIN IIA4_CP_LOCATION_DATA b ON a.year = b.year
    WHERE a.year = '2010'
    GROUP BY a.year;

    IF NVL(v_chk1 ,0)  <> NVL(v_chk2 ,0) THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIA4_CP_LOCATION_DATA',
              'QC check',
              'IIA3_CP_LOCATION_CNT/IIA4_CP_LOCATION_DATA LOCATIONS COUNT AND TOTAL RECORDS FOR 2010 MISMATCH',
              'FAILED');
    END IF;*/
 IF (NVL(v_chk1 ,0) > 1 AND NVL(v_chk2 ,0) > 0) THEN

   SELECT COUNT(location_id), MIN(a.locations)
      INTO v_chk1, v_chk2
      FROM IIA3_CP_LOCATION_CNT  a
      JOIN IIA4_CP_LOCATION_DATA b ON a.year = b.year
    WHERE a.year = '2013'
    GROUP BY a.year;

    IF NVL(v_chk1 ,0)  <> NVL(v_chk2 ,0) THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIA4_CP_LOCATION_DATA',
              'QC check',
              'IIA3_CP_LOCATION_CNT/IIA4_CP_LOCATION_DATA LOCATIONS COUNT AND TOTAL RECORDS FOR 2013 MISMATCH',
              'FAILED');
    END IF;

  END IF;
 

  -- IIA12_CP_PRICE_CE_PART1.BUYER_ID CHK
  /*
  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA12_CP_ID_PURC_PART2 b WHERE a.customer_id = b.customer_id)
    AND ROWNUM = 1;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.CUSTOMER_ID NOT IN IIA12_CP_ID_PURC_PART2',
            'FAILED');

  END IF;
  */
  -- IIA12_CP_PRICE_CE_PART1.LOCATION_ID CHK

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA4_CP_LOCATION_DATA b WHERE a.location_id = b.location_id)
    AND ROWNUM = 1 AND a.location_id IS NOT NULL ;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.LOCATION_ID NOT IN IIA4_CP_LOCATION_DATA',
            'FAILED');

  END IF;


  -- IIA12_CP_PRICE_CE_PART1.BILLING_CODE CHK

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA14_CP_BILLING_DESC b WHERE a.billing_code = b.billing_code)
    AND ROWNUM = 1;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.BILLING_CODE NOT IN IIA14_CP_LOCATION_DATA',
            'FAILED');

  END IF;


 


  -- IIA12_CP_PRICE_CE_PART1.AJUSTMENT_IDs CHK


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_1 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_1 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_1 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_2 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_2 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_2 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_3 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_3 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_3 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;



  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_4 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_4 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_4 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_5 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_5 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_5 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;
 


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_6 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_6 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_6 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_7 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_7 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_7 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_8 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_8 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_8 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_9 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_9 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_9 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIA12_CP_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIA13_CP_BILLING_ADJ b WHERE a.adjustment_id_10 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_10 IS NOT NULL;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA12_CP_PRICE_CE_PART1',
            'QC check',
            'IIA12_CP_PRICE_CE_PART1.ADJUSTMENT_ID_10 NOT IN IIA13_CP_BILLING_ADJ',
            'FAILED');

  END IF;
 



  -- ILEC checks


  -- ILEC loaction count and location no data chk

  SELECT chk_status
  INTO v_chk1
  FROM QC_CONTAINER_CHECK
  WHERE chk_ques = 'IIB2_ILEC_LOCATION_CNT'
  AND chk_type = 'Table';

  SELECT chk_status
  INTO v_chk2
  FROM QC_CONTAINER_CHECK
  WHERE chk_ques = 'IIB3_ILEC_LOCATION_DATA'
  AND chk_type = 'Table';

  IF (NVL(v_chk1 ,0) > 1 AND NVL(v_chk2 ,0) = 0) OR (NVL(v_chk2 ,0) > 1 AND NVL(v_chk1 ,0) = 0) THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB2_ILEC_LOCATION_CNT',
            'QC check',
            'EITHER IIB2_ILEC_LOCATION_CNT OR IIB3_ILEC_LOCATION_DATA HAS NO DATA',
            'FAILED');
  ELSIF (NVL(v_chk1 ,0) > 1 AND NVL(v_chk2 ,0) > 0) THEN

  -- CP loaction count and location data chk


    SELECT COUNT(location_id), MIN(a.locations)
      INTO v_chk1, v_chk2
      FROM IIB2_ILEC_LOCATION_CNT  a
      JOIN IIB3_ILEC_LOCATION_DATA b ON a.year = b.year
    WHERE a.year = '2013'
    GROUP BY a.year;


    IF NVL(v_chk1 ,0)  <> NVL(v_chk2 ,0) THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIB3_ILEC_LOCATION_DATA',
              'QC check',
              'IIB2_ILEC_LOCATION_CNT/IIB3_ILEC_LOCATION_DATA LOCATIONS COUNT AND TOTAL RECORDS FOR 2013 MISMATCH',
              'FAILED');
    END IF;


    SELECT COUNT(location_id), MIN(a.locations)
      INTO v_chk1, v_chk2
      FROM IIB2_ILEC_LOCATION_CNT  a
      JOIN IIB3_ILEC_LOCATION_DATA b ON a.year = b.year
    WHERE a.year = '2013'
    GROUP BY a.year;

    IF NVL(v_chk1 ,0)  <> NVL(v_chk2 ,0) THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIB3_ILEC_LOCATION_DATA',
              'QC check',
              'IIB2_ILEC_LOCATION_CNT/IIB3_ILEC_LOCATION_DATA LOCATIONS COUNT AND TOTAL RECORDS FOR 2013 MISMATCH',
              'FAILED');
    END IF;

  END IF;

        



  -- IIB4_ILEC_PRICE_CE_PART1.BUYER_ID CHK

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB4_ILEC_PURC_ID_PART2 b WHERE a.customer_id = b.customer_id)
    AND ROWNUM = 1;

 

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.CUSTOMER_ID NOT IN IIB4_ILEC_PURC_ID_PART2',
            'FAILED');

  END IF;

  -- IIA12_CP_PRICE_CE_PART1.LOCATION_ID CHK

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
    WHERE a.location_id is not null
    AND NOT EXISTS (SELECT 1 FROM IIB3_ILEC_LOCATION_DATA b WHERE a.location_id = b.location_id)
    AND ROWNUM = 1;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.LOCATION_ID NOT IN IIB3_ILEC_LOCATION_DATA',
            'FAILED');

  END IF;


  -- IIA12_CP_PRICE_CE_PART1.BILLING_CODE CHK

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB6_ILEC_BILLING_DESC b WHERE a.billing_code = b.billing_code)
    AND ROWNUM = 1;

  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.BILLING_CODE NOT IN IIB6_ILEC_BILLING_DESC',
            'FAILED');

  END IF;



  -- IIA12_CP_PRICE_CE_PART1.AJUSTMENT_IDs CHK


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_1 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_1 IS NOT NULL;



  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_1 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_2 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_2 IS NOT NULL;




  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_2 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_3 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_3 IS NOT NULL;




  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_3 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;



  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_4 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_4 IS NOT NULL;




  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_4 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_5 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_5 IS NOT NULL;




  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_5 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_6 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_6 IS NOT NULL;



  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_6 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_7 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_7 IS NOT NULL;



  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_7 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;

  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_8 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_8 IS NOT NULL;


  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_8 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_9 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_9 IS NOT NULL;




  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_9 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;


  SELECT COUNT(1)
    INTO v_chk1
    FROM IIB4_ILEC_PRICE_CE_PART1 a
  WHERE NOT EXISTS (SELECT 1 FROM IIB5_ILEC_BILLING_ADJ b WHERE a.adjustment_id_10 = b.adjustment_id)
    AND ROWNUM = 1 AND a.adjustment_id_10 IS NOT NULL;




  IF NVL(v_chk1 ,0) <> 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB4_ILEC_PRICE_CE_PART1',
            'QC check',
            'IIB4_ILEC_PRICE_CE_PART1.ADJUSTMENT_ID_10 NOT IN IIB5_ILEC_BILLING_ADJ',
            'FAILED');

  END IF;


  -- Type of Provider chk
  -- Competitive provider

  SELECT COUNT(*)
    INTO v_chk1
    FROM QC_CONTAINER_CHECK
  WHERE chk_ques LIKE 'IIA%'
    AND chk_type = 'Table'
    AND chk_desc like 'Row Count%'
    AND chk_status > '0';




  IF NVL(v_chk1 ,0) = 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIA',
            'IDENTIFY PROVIDER',
            'COMPETIVIE PROVIDER CHK',
            'NA');
  ELSE
    -- Check if CP validation has failed
      SELECT (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA1_CP_AFFILIATED_COM' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA2_CP_FAC_ADDL_INFO' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA3_CP_LOCATION_CNT' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA4_CP_LOCATION_DATA' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA7_COLOC_WIRE' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA9_CP_HQ_AC' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA9_CP_HQ_ACQ_D' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA9_CP_HQ_AFF_EF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA12_CP_PRICE_CE_PART1' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA12_CP_ID_PURC_PART2' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA13_CP_BILLING_ADJ' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA15_SALES_REV_CBDS' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA16_SALES_REV_PBDS' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA17_CP_PCT_REV_GEN' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' )
        INTO  v_tblcnt1,v_tblcnt2,v_tblcnt3,v_tblcnt4,v_tblcnt5,v_tblcnt6,v_tblcnt7,v_tblcnt8,v_tblcnt9,v_tblcnt10,v_tblcnt11,v_tblcnt12,v_tblcnt13, v_tblcnt14 
      FROM DUAL;


    IF v_tblcnt2 <> 1 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIA2_FAC_ADDL_INFO',
              'QC check',
              'IIA2_FAC_ADDL_INFO SHOULD HAVE EXACTLY 1 ROW',
            'FAILED');
    END IF;

    IF v_tblcnt12 > 12 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIA15_SALES_REV_CBDS',
              'QC check',
              'IIA15_SALES_REV_CBDS SHOULD NOT HAVE MORE THAN 12 ROWS',
            'FAILED');
    END IF;

    IF v_tblcnt14 > 20 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIA17_CP_PCT_REV_GEN',
              'QC check',
              'IIA17_CP_PCT_REV_GEN SHOULD NOT HAVE MORE THAN 20 ROWS',
            'FAILED');
    END IF;

    SELECT CASE WHEN (price_cap = 'N' AND connection = 'N') THEN
                0
          ELSE 1
          END
          INTO v_chk1
    FROM IIA2_CP_FAC_ADDL_INFO;

    IF NOT ((v_chk1 = 0 AND v_tblcnt1 > 0) OR
      (v_chk1 = 1 AND v_tblcnt1 > 0 AND v_tblcnt2 > 0 /*AND v_tblcnt5 > 0 AND v_tblcnt6 > 0
        AND v_tblcnt7 > 0 AND v_tblcnt8 > 0 AND v_tblcnt9 > 0 AND v_tblcnt10 > 0 AND v_tblcnt11 > 0 AND v_tblcnt12 > 0
        AND v_tblcnt13 > 0 AND v_tblcnt14 > 0*/)) THEN

      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIA',
              'QC check',
              'SOME COMPETITIVE PROVIDER TABLES ARE MISSING ROWS',
            'FAILED');

    END IF;

    SELECT COUNT(*)
      INTO v_chk1
      FROM QC_CONTAINER_CHECK
    WHERE chk_QUES LIKE 'IIA%'
      AND chk_type = 'QC check'
      AND chk_status = 'FAILED';

    IF NVL(v_chk1 ,0) > 0 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIA',
              'IDENTIFY PROVIDER',
              'COMPETIVIE PROVIDER CHK',
              'FAILED');
    ELSE
      -- Additional checks are needed to determine if it passed

      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIA',
              'IDENTIFY PROVIDER',
              'COMPETIVIE PROVIDER CHK',
              'PASSED');
      IF v_tblcnt3 = 0 AND v_tblcnt4 = 0 THEN
        INSERT INTO QC_CONTAINER_CHECK
        VALUES ('IIA2',
                'IDENTIFY PROVIDER',
                'COMPETIVIE PROVIDER - CABLE SYSTEM OPERATOR CHK',
                'PASSED');
      END IF;
    END IF;
  END IF;



  -- Type of Provider chk
  -- ILEC

  SELECT COUNT(*)
    INTO v_chk1
    FROM QC_CONTAINER_CHECK
  WHERE chk_ques LIKE 'IIB%'
    AND chk_type = 'Table'
    AND chk_desc like 'Row Count%'
    AND chk_status > '0';

  IF NVL(v_chk1 ,0) = 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB',
            'IDENTIFY PROVIDER',
            'ILEC CHK',
            'NA');
  ELSE
    -- Check if CP validation has failed
      SELECT (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB1_ILEC_AFFILIATED_COM' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB2_ILEC_LOCATION_CNT' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB3_ILEC_LOCATION_DATA' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB4_ILEC_PRICE_CE_PART1' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB4_ILEC_PURC_ID_PART2' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB5_ILEC_BILLING_ADJ' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB6_ILEC_BILLING_DESC' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB7_ILEC_COLOC_WIRE' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB8_SALES_REV_CBDS' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB9_SALES_REV_PBDS' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB10_SALES_REV_OMT' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB11_CUST_CNT_OMT' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB12_ALL_TARIFFS' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB13_ILEC_NON_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' )
        INTO  v_tblcnt1,v_tblcnt2,v_tblcnt3,v_tblcnt4,v_tblcnt5,v_tblcnt6,v_tblcnt7,v_tblcnt8,v_tblcnt9,v_tblcnt10,v_tblcnt11,v_tblcnt12,v_tblcnt13, v_tblcnt14
      FROM DUAL;


    IF v_tblcnt12 > 12 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIB8_SALES_REV_CBDS',
              'QC check',
              'IIB8_SALES_REV_CBDS SHOULD NOT HAVE MORE THAN 12 ROWS',
            'FAILED');
    END IF;

    IF v_tblcnt14 > 20 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIB9_SALES_REV_PBDS',
              'QC check',
              'IIB9_SALES_REV_PBDS SHOULD NOT HAVE MORE THAN 20 ROWS',
            'FAILED');
    END IF;

    IF v_tblcnt14 > 12 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIB10_SALES_REV_OMT',
              'QC check',
              'IIB10_SALES_REV_OMT SHOULD NOT HAVE MORE THAN 20 ROWS',
            'FAILED');
    END IF;



    IF NOT (v_tblcnt1 > 0 AND v_tblcnt2 > 0 AND v_tblcnt3 > 0 AND v_tblcnt4 > 0 AND v_tblcnt5 > 0 AND v_tblcnt6 > 0
        AND v_tblcnt7 > 0 AND v_tblcnt8 > 0 AND v_tblcnt9 > 0 AND v_tblcnt10 > 0 AND v_tblcnt11 > 0 AND v_tblcnt12 > 0
        AND v_tblcnt13 > 0 AND v_tblcnt14 > 0) THEN

      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIB',
              'QC check',
              'SOME ILEC TABLES ARE MISSING ROWS',
            'FAILED');

    END IF;

    SELECT COUNT(*)
      INTO v_chk1
      FROM QC_CONTAINER_CHECK
    WHERE chk_QUES LIKE 'IIB%'
      AND chk_type = 'QC check'
      AND chk_status = 'FAILED';

    IF NVL(v_chk1 ,0) > 0 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIB',
              'IDENTIFY PROVIDER',
              'ILEC CHK',
              'FAILED');
    ELSE
      -- Additional checks are needed to determine if it passed

      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIB',
              'IDENTIFY PROVIDER',
              'ILEC CHK',
              'PASSED');
    END IF;
  END IF;



  -- Type of Provider chk
  -- PURCHASER - MOBILE WIRELESS

  SELECT COUNT(*)
    INTO v_chk1
    FROM QC_CONTAINER_CHECK
  WHERE chk_ques LIKE 'IIE%'
    AND chk_type = 'Table'
    AND chk_desc like 'Row Count%'
    AND chk_status > '0';

  IF NVL(v_chk1 ,0) = 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB',
            'IDENTIFY PROVIDER',
            'PURCHASER - MOBILE WIRELESS',
            'NA');
  ELSE
    -- Check if CP validation has failed
      SELECT (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE1_MW_SITES_CNT' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE2_MW_LOCATION_DATA' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE3_TOT_EXP_DS' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            /*(SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE4_EXP_ILEC_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE5_EXP_CP_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE6_EXP_ILEC_CP_NON_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE7_EXP_PBDS_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE8_EXP_PBDS_NON_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE14_TARIFFS_PURC_SRVC' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),*/
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE15_MW_NON_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' )
        INTO  v_tblcnt1,v_tblcnt2,v_tblcnt3,/*v_tblcnt4,v_tblcnt5,v_tblcnt6,v_tblcnt7,v_tblcnt8,v_tblcnt9,*/v_tblcnt10
      FROM DUAL;


    IF v_tblcnt1 <> 1 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE1_MW_SITES_CNT',
              'QC check',
              'IIE1_MW_SITES_CNT SHOULD HAVE EXACTLY ONE ROW',
            'FAILED');
    END IF;

    IF v_tblcnt3 > 8 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE3_TOT_EXP_DS',
              'QC check',
              'IIE3_TOT_EXP_DS SHOULD NOT HAVE MORE THAN 8 ROWS',
            'FAILED');
    END IF;

    /*
    IF v_tblcnt4 > 48 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE4_EXP_ILEC_TARIFF',
              'QC check',
              'IIE4_EXP_ILEC_TARIFF SHOULD NOT HAVE MORE THAN 48 ROWS',
            'FAILED');
    END IF;

    IF v_tblcnt5 > 24 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE5_EXP_CP_TARIFF',
              'QC check',
              'IIE5_EXP_CP_TARIFF SHOULD NOT HAVE MORE THAN 24 ROWS',
            'FAILED');
    END IF;

    IF v_tblcnt6 > 48 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE6_EXP_ILEC_CP_NON_TARIFF',
              'QC check',
              'IIE6_EXP_ILEC_CP_NON_TARIFF SHOULD NOT HAVE MORE THAN 48 ROWS',
            'FAILED');
    END IF;


    IF v_tblcnt7 > 20 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE7_EXP_PBDS_TARIFF',
              'QC check',
              'IIE7_EXP_PBDS_TARIFF SHOULD NOT HAVE MORE THAN 20 ROWS',
            'FAILED');
    END IF;


    IF v_tblcnt8 > 20 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE8_EXP_PBDS_NON_TARIFF',
              'QC check',
              'IIE8_EXP_PBDS_NON_TARIFF SHOULD NOT HAVE MORE THAN 20 ROWS',
            'FAILED');
    END IF;
    */


    IF NOT (v_tblcnt1 > 0 AND v_tblcnt2 > 0 AND v_tblcnt3 > 0 AND /*v_tblcnt4 > 0 AND v_tblcnt5 > 0 AND v_tblcnt6 > 0
        AND v_tblcnt7 > 0 AND v_tblcnt8 > 0 AND v_tblcnt9 > 0 AND*/ v_tblcnt10 > 0 ) THEN

      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE',
              'QC check',
              'SOME PURCHASER - MOBILE WIRELESS PROVIDERS TABLES ARE MISSING ROWS',
            'FAILED');

    END IF;

    SELECT COUNT(*)
      INTO v_chk1
      FROM QC_CONTAINER_CHECK
    WHERE chk_QUES LIKE 'IIE%'
      AND chk_type = 'QC check'
      AND chk_status = 'FAILED';


    IF NVL(v_chk1 ,0) > '0' THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE',
              'IDENTIFY PROVIDER',
              'PURCHASER - MOBILE WIRELESS',
              'FAILED');
    ELSE
      -- Additional checks are needed to determine if it passed

      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE',
              'IDENTIFY PROVIDER',
              'PURCHASER - MOBILE WIRELESS',
              'PASSED');
    END IF;
  END IF;



  -- Type of Provider chk
  -- PURCHASER - OTHER

  SELECT COUNT(*)
    INTO v_chk1
    FROM QC_CONTAINER_CHECK
  WHERE chk_ques LIKE 'IIF%'
    AND chk_type = 'Table'
    AND chk_desc like 'Row Count%'
    AND chk_status > 0;

  IF NVL(v_chk1 ,0) = 0 THEN
    INSERT INTO QC_CONTAINER_CHECK
    VALUES ('IIB',
            'IDENTIFY PROVIDER',
            'PURCHASER - OTHER',
            'NA');
  ELSE
    -- Check if CP validation has failed
      SELECT (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF1_PURC_NATURE_BUS' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF2_EXP_DS' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            /*(SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF3_ILEC_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF4_CP_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF5_EXP_ILEC_CP_NON_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF6_EXP_PBDS_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF7_EXP_PBDS_NON_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF13_TARIFFS_PURC_SRVC' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' ),*/
            (SELECT chk_status FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF14_PURC_NON_TARIFF' AND chk_type = 'Table'
                AND chk_desc like 'Row Count%' )
        INTO  v_tblcnt1,v_tblcnt2,/*v_tblcnt3,v_tblcnt4,v_tblcnt5,v_tblcnt6,v_tblcnt7,v_tblcnt8,*/v_tblcnt9
      FROM DUAL;


    IF v_tblcnt1 <> 1 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIF1_PURC_NATURE_BUS',
              'QC check',
              'IIF1_PURC_NATURE_BUS SHOULD HAVE EXACTLY ONE ROW',
            'FAILED');
    END IF;

    IF v_tblcnt2 > 8 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIF2_EXP_DS',
              'QC check',
              'IIF2_EXP_DS SHOULD NOT HAVE MORE THAN 8 ROWS',
            'FAILED');
    END IF;

  /*
    IF v_tblcnt3 > 48 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIF3_ILEC_TARIFF',
              'QC check',
              'IIF3_ILEC_TARIFF SHOULD NOT HAVE MORE THAN 48 ROWS',
            'FAILED');
    END IF;

    IF v_tblcnt4 > 24 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIF4_CP_TARIFF',
              'QC check',
              'IIF4_CP_TARIFF SHOULD NOT HAVE MORE THAN 24 ROWS',
            'FAILED');
    END IF;


    IF v_tblcnt5 > 48 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIF5_EXP_ILEC_CP_NON_TARIFF',
              'QC check',
              'IIF5_EXP_ILEC_CP_NON_TARIFF SHOULD NOT HAVE MORE THAN 48 ROWS',
            'FAILED');
    END IF;


    IF v_tblcnt6 > 20 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIF6_EXP_PBDS_TARIFF',
              'QC check',
              'IIF6_EXP_PBDS_TARIFF SHOULD NOT HAVE MORE THAN 20 ROWS',
            'FAILED');
    END IF;


    IF v_tblcnt7 > 20 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIF7_EXP_PBDS_NON_TARIFF',
              'QC check',
              'IIF7_EXP_PBDS_NON_TARIFF SHOULD NOT HAVE MORE THAN 20 ROWS',
            'FAILED');
    END IF;
  */


    IF NOT (v_tblcnt1 > 0 AND v_tblcnt2 > 0 AND /*v_tblcnt3 > 0 AND v_tblcnt4 > 0 AND v_tblcnt5 > 0 AND v_tblcnt6 > 0
        AND v_tblcnt7 > 0 AND v_tblcnt8 > 0 AND*/ v_tblcnt9 > 0 ) THEN

      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIE',
              'QC check',
              'SOME PURCHASER - OTHER PROVIDERS TABLES ARE MISSING ROWS',
            'FAILED');

    END IF;

    SELECT COUNT(*)
      INTO v_chk1
      FROM QC_CONTAINER_CHECK
    WHERE chk_QUES LIKE 'IIF%'
      AND chk_type = 'QC check'
      AND chk_status = 'FAILED';

    IF NVL(v_chk1 ,0) > 0 THEN
      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIF',
              'IDENTIFY PROVIDER',
              'PURCHASER - OTHER',
              'FAILED');
dbms_output.put_line('FAILED');
    ELSE
      -- Additional checks are needed to determine if it passed

      INSERT INTO QC_CONTAINER_CHECK
      VALUES ('IIF',
              'IDENTIFY PROVIDER',
              'PURCHASER - OTHER',
              'PASSED');
dbms_output.put_line('PASSED');
    END IF;
  END IF;

  COMMIT;

  -- Filer type check
  select sysdate into v_sysdate from dual;
  dbms_output.put_line(v_sysdate);

  END;
  /

